<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
  
}

/**
 * Service Widget
 */

class Service2_Widget extends \Elementor\Widget_Base {
  public function get_name() {
    return "morat-service2";
  }

  public function get_title() {
    return esc_html__('mediquet service_02', 'mediquet-widget');
  }

  public function get_categories() {
    return ['basic'];
  }

  
  
  protected function register_controls() {

    $this->start_controls_section(
      'content_section',
      [
        'label' => esc_html__('Service Content', 'mediquet'),
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    // Service Style
    $this->add_control(
      'service_style',
      [
        'label' => esc_html__('Service Style', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => '1',
        'options' => [
          '1'  => esc_html__('service style 01', 'mediquet'),
          '2' => esc_html__('service style 02', 'mediquet'),
          '3' => esc_html__('service style 03', 'mediquet'),
          '4' => esc_html__('service style 04', 'mediquet'),
          '5' => esc_html__('service style 05', 'mediquet'),
          '6' => esc_html__('service style 06', 'mediquet'),
          '7' => esc_html__('service style 07', 'mediquet'),
          '8' => esc_html__('service style 08', 'mediquet'),
        ],
      ]
    );
	


		$this->add_responsive_control(
			'align',
			[
				'label' => esc_html__( 'Alignment', 'elementor' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'left' => [
						'title' => esc_html__( 'Left', 'elementor' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'elementor' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => esc_html__( 'Right', 'elementor' ),
						'icon' => 'eicon-text-align-right',
					],
					'justify' => [
						'title' => esc_html__( 'Justified', 'elementor' ),
						'icon' => 'eicon-text-align-justify',
					],
				],
				'selectors' => [
					'{{WRAPPER}} .ab_ser_ar, {{WRAPPER}} .service_03 .tb_serice_ar, {{WRAPPER}} .service_04 .tb_serice, {{WRAPPER}} .tb_service_sty4' => 'text-align: {{VALUE}};',
				],
			]
		);

    // Title 
    $this->add_control(
      'list_title',
      [
        'label' => esc_html__('Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Service Title', 'mediquet'),
        'label_block' => true,
      ]
    );
    // Url
    $this->add_control(
      'service_link',
      [
        'label' => esc_html__('Link', 'mediquet'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => esc_html__('#', 'mediquet'),
        'options' => ['url', 'is_external', 'nofollow'],
        'default' => [
          'url' => '#',
        ],
        'label_block' => true,
      ]
    );
	
	   // Description
    $this->add_control(
      'desc',
      [
        'label' => 'Description',
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => ("If you are going to use a passage.."),
        'placeholder' => esc_html__( 'your content'),
          ]
        
        );	

    $this->add_control(
    'descs',
        [
          'label' => 'Number',
          'type' => \Elementor\Controls_Manager::TEXTAREA,
          'default' => ("01"),
      'placeholder' => esc_attr__( 'your content'),
        ]
      
      );

	
	// Show Icon
    $this->add_control(
			'show_icon',
			[
				'label' => esc_html__( 'Show Icon', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'your-plugin' ),
				'label_off' => esc_html__( 'Hide', 'your-plugin' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
	

    // Icon
    $this->add_control(
      'service_icon',
      [
        'label' => esc_html__('Icon', 'mediquet'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
          'value' => 'fas fa-globe',
          'library' => 'fa-solid',
        ],
        'recommended' => [
          'fa-solid' => [
            'circle',
            'dot-circle',
            'square-full',
          ],
          'fa-regular' => [
            'circle',
            'dot-circle',
            'square-full',
          ],
        ],
		'condition' => [
				'show_icon' => 'yes',
			],
      ]
    );

	// Show Image
    $this->add_control(
			'show_img',
			[
				'label' => esc_html__( 'Show Image', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'your-plugin' ),
				'label_off' => esc_html__( 'Hide', 'your-plugin' ),
				'return_value' => 'yes',
				'default' => 'no',
			]
		);
	
    // Image
    $this->add_control(
      'service_image',
      [
        'label' => esc_html__('Choose Image', 'mediquet'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
          'url' => plugin_dir_url(__DIR__) . 'assets/images/placeholder.png',
        ],
		'condition' => [
				'show_img' => 'yes',
			],
      ]
    );
	
	// Show Image
    $this->add_control(
			'show_btn',
			[
				'label' => esc_html__( 'Show Button', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'your-plugin' ),
				'label_off' => esc_html__( 'Hide', 'your-plugin' ),
				'return_value' => 'yes',
				'default' => 'no',
			]
		);
		
			$this->add_control(
	'numbers',
      [
        'label' => 'Number',
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => ("01"),
		'placeholder' => esc_attr__( 'your content'),
		'condition' => [
				'service_style' => ['8'],
			],
      ]
	  
    );	
		
    // Button Text
    $this->add_control(
      'btn_txt',
      [
        'label' => esc_html__('Button Text', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Read More', 'mediquet'),
        'label_block' => true,
        'condition' => [
				'show_btn' => 'yes',
			],
      ]
    );

	
	// Button Text
    $this->add_control(
      'btns_txt',
      [
        'label' => esc_html__('Text', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('ENGLISH', 'mediquet'),
        'label_block' => true,
        'condition' => [
          'service_style' =>['5']
        ],
      ]
    );

    $this->end_controls_section();


    /**
     *Style 02 Part
     */

	 // Box Style
	 $this->start_controls_section(
      'box_style',
      [
        'label' => 'Box Color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'box_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .tb_service,{{WRAPPER}} .tb_service_sen, {{WRAPPER}} .tb_serice_ar, {{WRAPPER}} tb_service_sen.service_04 ',
      ]
    ); 
	  // Box Padding 
    $this->add_responsive_control(
      'ser_box_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .tb_service ,{{WRAPPER}} .tb_service_sen, {{WRAPPER}} .tb_serice_ar, {{WRAPPER}} tb_service_sen.service_04 ' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Box Margin
    $this->add_responsive_control(
      'ser_box_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .tb_service, {{WRAPPER}} .tb_service_sen, {{WRAPPER}} .tb_serice_ar, {{WRAPPER}} tb_service_sen.service_04' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	 
	/* box shadow */	
	$this->add_group_control(
		\Elementor\Group_Control_Box_Shadow::get_type(),
		[
			'name' => 'witr_box_shadowsbox',
			'label' => esc_html__( 'Box Shadow', 'mediquet' ),
			'selector' => '{{WRAPPER}} .tb_service, {{WRAPPER}} .tb_service_sen, {{WRAPPER}} .tb_serice_ar, {{WRAPPER}} .tb_serice, {{WRAPPER}} tb_service_sen.service_04',
		]
	); 
	 
	 /* witr_border_style */
	$this->add_control(
		'box_border',
		[
			'label' => esc_html__( 'Border Style', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'options' => [
				'none' => esc_html__( 'none', 'mediquet' ),
				'solid' => esc_html__( 'Solid', 'mediquet' ),
				'double' => esc_html__( 'Double', 'mediquet' ),
				'dotted' => esc_html__( 'Dotted', 'mediquet' ),
				'dashed' => esc_html__( 'Dashed', 'mediquet' ),
				'default' => esc_html__( 'Default', 'mediquet' ),
			],
			'default' => 'none',
			'selectors' => [
				 '{{WRAPPER}} .tb_service, {{WRAPPER}} .tb_service_sen, {{WRAPPER}} .tb_serice_ar, {{WRAPPER}} tb_service_sen.service_04' => 'border-style: {{VALUE}}',
			],
		]
	);		
	/* witr border */
	
	$this->add_control(
		'box_bods_style',
		[
			'label' => esc_html__( 'Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'selectors' => [
				 '{{WRAPPER}} .tb_service, {{WRAPPER}} .tb_service_sen, {{WRAPPER}} .tb_serice_ar, {{WRAPPER}} tb_service_sen.service_04' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'box_border' => ['solid','double','dotted','dashed'],
			],								
		]
	);
	/* border_color */
	$this->add_control(
		'boxs_border1_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .tb_service, {{WRAPPER}} .tb_service_sen, {{WRAPPER}} .tb_serice_ar, {{WRAPPER}} tb_service_sen.service_04' => 'border-color: {{VALUE}}',
			],
			'condition' => [
				'box_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);
	/* border_radius */
	$this->add_control(
		'service_border_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .tb_service, {{WRAPPER}} .tb_service_sen, {{WRAPPER}} .tb_serice_ar, {{WRAPPER}} tb_service_sen.service_04' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);
	
	
	 	/* hedding  */
	$this->add_control(
		'witr_hove',
		[
			'label' => esc_html__( ' Hover option', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::HEADING,
		]
	);
	 
	 /* border_color */
	$this->add_control(
		'border1_hover_color',
		[
			'label' => esc_html__( 'Border Hover Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .tb_service:hover, {{WRAPPER}} .tb_service_sen:hover, {{WRAPPER}} tb_service_sen.service_04' => 'border-color: {{VALUE}}',
			],
		]
	);
	
	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'Box_hover_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .tb_service_sen:hover ',
      ]
    ); 
	
	
	
		 /* border_color */
	$this->add_control(
		'border1_after_color',
		[
			'label' => esc_html__( 'Border After Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .tb_service_sen:hover' => 'border-color: {{VALUE}}',
			],
		]
	);
	
	/* hedding  */
	$this->add_control(
		'witr_hove_icon',
		[
			'label' => esc_html__( 'All Hover icon', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::HEADING,
		]
	);
	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'ser_btn_hover_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .tb_service_sen:hover .service_icon_img i ',
      ]
    ); 
	
	
	$this->add_control(
      'icon_hov_color',
      [
        'label' => 'Icon Hover Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .tb_service_sen:hover .service_icon_img i' => 'color: {{VALUE}}',
        ]
      ]
    );
	

	
	
	$this->end_controls_section();
	 
	// Box Content
	 $this->start_controls_section(
      'box_conten_style',
      [
        'label' => 'Box Content',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
	
	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'con_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .service_text_item, {{WRAPPER}} .tb_serice, 
        {{WRAPPER}} .text_item_ar, {{WRAPPER}} .service_03 .tb_serice_ar, {{WRAPPER}} .tb_service_content',
      ]
    );
	  // Box Padding 
    $this->add_responsive_control(
      'ser_boxs_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .service_text_item, {{WRAPPER}} .tb_serice , {{WRAPPER}} .text_item_ar, {{WRAPPER}} 
          .sitem_content, {{WRAPPER}} .service_content_right, {{WRAPPER}} .tb_service_content' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	// Box Margin
    $this->add_responsive_control(
      'conten_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .tb_serice_content, {{WRAPPER}} .service_content_right, {{WRAPPER}} .tb_service_content' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	/* border_radius */
	$this->add_control(
		'box_bd_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .service_text_item, {{WRAPPER}} .tb_serice , {{WRAPPER}} .text_item_ar, {{WRAPPER}} .service_content_righ' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);
	
	/* hedding  */
	$this->add_control(
		'witr_hov',
		[
			'label' => esc_html__( ' Hover option', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::HEADING,
		]
	);
	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'hove_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .tb_service_sen:hover .tb_serice ,{{WRAPPER}} .text_item_ar, {{WRAPPER}} .service_03 .tb_serice_ar:hover',
      ]
    );

    	/* hedding  */
	$this->add_control(
		'before_Option',
		[
			'label' => esc_html__( ' Before option', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::HEADING,
		]
	);
	// Box Background  
  $this->add_group_control(
    \Elementor\Group_Control_Background::get_type(),
    [
      'name' => 'before_background',
      'label' => esc_html__('Background', 'mediquet'),
      'types' => ['classic', 'gradient'],
      'selector' => '{{WRAPPER}} .tb_service_content::before',
    ]
  );

	 
	 $this->end_controls_section();
	 
	 
	   /**
     * Icon Style
     */

	 
	$this->start_controls_section(
      'icon_style',
      [
        'label' => 'Icon Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
	
    // Icon Color
    $this->add_control(
			'icon_color',
			[
				'label' => esc_html__( 'Icon Color', 'mediquet' ),
				'type' =>  \Elementor\Controls_Manager::COLOR,
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tb_service_sen.ab_ser_ar i , {{WRAPPER}} .icon_ar i' => 'color: {{VALUE}};',
          '{{WRAPPER}} .tb_service_sen.ab_ser_ar svg , {{WRAPPER}} .icon_ar svg' => 'fill: {{VALUE}};',
				],
			]
		);

	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'icon_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .service_icon,{{WRAPPER}} .ab_ser_img img ,{{WRAPPER}} .tb_icon',
      ]
    );
	
    // Icon Size
    $this->add_responsive_control(
			'icon_size',
			[
				'label' => esc_html__( 'Size', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%', 'em', 'rem', 'vw', 'custom' ],
				'range' => [
					'px' => [
						'min' => 6,
						'max' => 300,
					],
				],
				'selectors' => [
					'{{WRAPPER}} .tb_service_sen.ab_ser_ar i' => 'font-size: {{SIZE}}{{UNIT}};',
					'{{WRAPPER}} .tb_service_sen.ab_ser_ar svg' => 'height: {{SIZE}}{{UNIT}};',
				],
			]
		);
	//icon center
	$this->add_responsive_control(
			'icon_align',
			[
				'label' => esc_html__( 'Alignment', 'elementor' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'left' => [
						'title' => esc_html__( 'Left', 'elementor' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'elementor' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => esc_html__( 'Right', 'elementor' ),
						'icon' => 'eicon-text-align-right',
					],
					'justify' => [
						'title' => esc_html__( 'Justified', 'elementor' ),
						'icon' => 'eicon-text-align-justify',
					],
				],
				'selectors' => [
					'{{WRAPPER}} .service_icon, {{WRAPPER}} .icon_ar i,{{WRAPPER}} .ab_ser_ar i,{{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img' => 'text-align: {{VALUE}};',
				],
			]
		);
	
	// icon Width
    $this->add_responsive_control(
      'ser_icons_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar i,{{WRAPPER}} .ab_ser_ar i,
           {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img ' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// icon height
    $this->add_responsive_control(
      'ser_icons_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
           '{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar i,{{WRAPPER}} .ab_ser_ar i,
           {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img ' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// Line height
    $this->add_responsive_control(
      'ser_icons_line_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
           '{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar i,{{WRAPPER}} .ab_ser_ar i,
            {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img ' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	/* witr_border_style */
	$this->add_control(
		'icons_border',
		[
			'label' => esc_html__( 'Border Style', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'options' => [
				'none' => esc_html__( 'none', 'mediquet' ),
				'solid' => esc_html__( 'Solid', 'mediquet' ),
				'double' => esc_html__( 'Double', 'mediquet' ),
				'dotted' => esc_html__( 'Dotted', 'mediquet' ),
				'dashed' => esc_html__( 'Dashed', 'mediquet' ),
				'default' => esc_html__( 'Default', 'mediquet' ),
			],
			'default' => 'none',
			'selectors' => [
				 '{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar i,{{WRAPPER}} .ab_ser_ar i,
          {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img' => 'border-style: {{VALUE}}',
			],
		]
	);		
	/* witr border */
	
	$this->add_control(
		'icon_bods_style',
		[
			'label' => esc_html__( 'Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'selectors' => [
				 '{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar i,{{WRAPPER}} .ab_ser_ar i,
          {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'icons_border' => ['solid','double','dotted','dashed'],
			],								
		]
	);
	/* border_color */
	$this->add_control(
		'ser_border1_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar i,{{WRAPPER}} .ab_ser_ar i,
         {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img' => 'border-color: {{VALUE}}',
			],
			'condition' => [
				'icons_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);
	/* border_radius */
	$this->add_control(
		'icons_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar i, {{WRAPPER}} .ab_ser_ar i,
        {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);
	
	
	/*  Rotate */
		$this->add_responsive_control(
			'witr_rotate',
			[
				'label' => esc_html__( 'Rotate', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'deg' ],
				'default' => [
					'size' => '',
					'unit' => 'deg',
				],
				'tablet_default' => [
					'unit' => 'deg',
				],
				'mobile_default' => [
					'unit' => 'deg',
				],
				'selectors' => [
					'{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar i, {{WRAPPER}} .ab_ser_ar i,{{WRAPPER}} .ab_ser_img img, {{WRAPPER}} .tb_icon' => 'transform: rotate({{SIZE}}{{UNIT}});',
				],
			]
		);	
				
	 // icons Padding
    $this->add_responsive_control(
      'icons_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .service_icon, {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // icons Margin
    $this->add_responsive_control(
      'icons_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .service_icon,{{WRAPPER}} .ab_ser_img img,
           {{WRAPPER}} .tb_icon,{{WRAPPER}} .ab_ser_img' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	
	$this->add_responsive_control(
			'icon_position',
			[
				'label' => esc_html__( 'Position', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => '',
				'options' => [
					'' => esc_html__( 'Default', 'mediquet' ),
					'absolute' => esc_html__( 'Absolute', 'mediquet' ),
					'fixed' => esc_html__( 'Fixed', 'mediquet' ),
					'inherit' => esc_html__( 'inherit', 'mediquet' ),
				],
				'selectors' => [
							'{{WRAPPER}} .tb_icon i, {{WRAPPER}} .tb_icon, {{WRAPPER}} .ab_ser_img' => 'position: {{VALUE}};',
						], 
			]
		);
		
		/* witr_icon_top */
				$this->add_responsive_control(
					'witr_icon_top',
					[
						'label' => esc_html__( 'Icon Top', 'mediquet' ),
						'type' => \Elementor\Controls_Manager::SLIDER,
						'size_units' => [ 'px', '%' ],
						'range' => [
							'px' => [
								'min' => -100,
								'max' => 500,
							],
							'%' => [
								'min' => -100,
								'max' => 100,
							],		
						],
						'condition' => [
							'icon_position' => ["absolute","fixed"],
						],						
						'selectors' => [
							'{{WRAPPER}} .ab_ser_ar i, {{WRAPPER}} .tb_icon, {{WRAPPER}} .ab_ser_img' => 'top: {{SIZE}}{{UNIT}};',
						],
					]
				);
				
				/* witr_icon_left */
				$this->add_responsive_control(
					'witr_icon_left',
					[
						'label' => esc_html__( 'Icon Left', 'mediquet' ),
						'type' => \Elementor\Controls_Manager::SLIDER,
						'size_units' => [ 'px', '%' ],
						'range' => [
							'px' => [
								'min' => -100,
								'max' => 500,
							],
							'%' => [
								'min' => -100,
								'max' => 100,
							],	
						],
						'condition' => [
							'icon_position' => ["absolute","fixed"],
						],						
						'selectors' => [
							'{{WRAPPER}} .ab_ser_ar i, {{WRAPPER}} .tb_icon, {{WRAPPER}} .ab_ser_img' => 'left: {{SIZE}}{{UNIT}};',
						],
					]
				);				
				
	
/* hedding  */
	$this->add_control(
		'witr_icon_hover_color',
		[
			'label' => esc_html__( ' Hover Color option', 'mediquet' ),
			'type' =>\Elementor\Controls_Manager::HEADING,
		]
	);


        // Icon Color
        $this->add_control(
          'icon_hover_color',
          [
            'label' => esc_html__( 'Icon Hover Color', 'mediquet' ),
            'type' =>  \Elementor\Controls_Manager::COLOR,
            'default' => '',
            'selectors' => [
              '{{WRAPPER}} .tb_service_sen:hover .icon_ar i' => 'color: {{VALUE}};',
              '{{WRAPPER}} .tb_service_sen:hover.ab_ser_ar svg' => 'fill: {{VALUE}};',
            ],
          ]
        );

    // icon1 Background
    $this->add_control(
      'icon1_hover_bg',
      [
        'label' => 'Background',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .tb_service_sen:hover .icon_ar i' => 'background-color: {{VALUE}}',
        ]
      ]
    );

   
	
	
    $this->end_controls_section();


    /**
     * Title Style
     */

    $this->start_controls_section(
      'title_style',
      [
        'label' => 'Title Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Title Color 
    $this->add_control(
      'title_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .service_title , {{WRAPPER}} .text_item_ar h3 , {{WRAPPER}} .text_item_ar h3 a, {{WRAPPER}} .sitem_content h3 a' => 'color: {{VALUE}}',
        ] 
      ]
    );
    // Title Color 
    $this->add_control(
      'title_span_color',
      [
        'label' => 'Title Span Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .service_content_right h1 span' => 'color: {{VALUE}}',
        ] 
      ]
    );
    // Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'title_typography',
        'selector' => '{{WRAPPER}} .service_title, {{WRAPPER}} .text_item_ar h3 a, {{WRAPPER}} .sitem_content h3 a ',
      ]
    );
	// Title margin
	  $this->add_responsive_control(
		'service_title_margin',
		[
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'label' => esc_html__( 'Margin', 'mediquet' ),
			'size_units' => [ 'px', 'em', '%' ],
			'selectors' => [
				'{{WRAPPER}} .service_title , {{WRAPPER}} .text_item_ar h3,{{WRAPPER}} .tb_serice_content h3,{{WRAPPER}} .sitem_content h3,{{WRAPPER}} .tb_service_sen h1 ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
		]
	);


    $this->end_controls_section();
	
	
   
	
	
 $this->start_controls_section(
      'service2_number_style',
      [
        'label' => 'Number Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Title Color 
    $this->add_control(
      'number_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .strock_number span' => 'color: {{VALUE}}',
        ]
      ]
    );

    // Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'strock_number_typography',
        'selector' => '{{WRAPPER}} .strock_number span',
      ]
    );
	// Title margin
	  $this->add_responsive_control(
		'service2_number_margin',
		[
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'label' => esc_html__( 'Margin', 'mediquet' ),
			'size_units' => [ 'px', 'em', '%' ],
			'selectors' => [
				'{{WRAPPER}} .strock_number' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
		]
	);

	
	/* color */
	$this->add_control(
		'stroke_color',
		[
			'label' => esc_html__( 'Text Border Color', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::COLOR,					
			'selectors' => [
				'{{WRAPPER}} .strock_number span' => '-webkit-text-stroke-color: {{VALUE}}',
			],
		]
	);
	/* color */
	$this->add_control(
		'stroke_webkit_color',
		[
			'label' => esc_html__( 'Text Fill Color', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::COLOR,					
			'selectors' => [
				'{{WRAPPER}} .strock_number span' => '-webkit-text-fill-color: {{VALUE}}',
			],
		]
	);			
	/* color */
	$this->add_control(
		'stroke_titlbi_color',
		[
			'label' => esc_html__( 'Border', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::TEXT,
			'description' => esc_html__( 'Must Be Use Ex-1', 'mediquet' ),
			'placeholder' => esc_attr__( '1', 'mediquet' ),					
			'selectors' => [
				'{{WRAPPER}} .strock_number span' => '-webkit-text-stroke-width: {{VALUE}}px',
			],
		]
	);
	
	/* hedding  */
	$this->add_control(
		'text_head',
		[
			'label' => esc_html__( ' Hover option', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::HEADING,
		]
	);
		
	/* color */
	$this->add_control(
		'stroke_hoveer_color',
		[
			'label' => esc_html__( 'Text hover Color', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::COLOR,					
			'selectors' => [
				'{{WRAPPER}} .tb_service_sty4:hover .strock_number span' => '-webkit-text-stroke-color: {{VALUE}}',
			],
		]
	);
	
	
	

    $this->end_controls_section();
	
 /**
     * Content Style
     */

    $this->start_controls_section(
      'content_style',
      [
        'label' => 'Content Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Title Color 
    $this->add_control(
      'content_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .sitem_content p , {{WRAPPER}} .text_item_ar p, {{WRAPPER}} .tb_serice_content p, 
          {{WRAPPER}} .ab_ser_ar p, {{WRAPPER}} .service_content_btn p ' => 'color: {{VALUE}}',
        ]
      ]
    );

    // Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'content_typography',
        'selector' => '{{WRAPPER}} .sitem_content p , {{WRAPPER}} .text_item_ar p,{{WRAPPER}} .ab_ser_ar p,
         {{WRAPPER}} .tb_serice_content p{{WRAPPER}} .ab_ser_ar p, {{WRAPPER}} .service_content_btn p ',
      ]
    );

	$this->add_responsive_control(
		'content_margin',
		[
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'label' => esc_html__( 'Margin', 'mediquet' ),
			'size_units' => [ 'px', 'em', '%' ],
			'selectors' => [
				'{{WRAPPER}} .sitem_content p , {{WRAPPER}} .text_item_ar p, {{WRAPPER}} .ab_ser_ar p,
         {{WRAPPER}} .tb_serice_content p{{WRAPPER}} .ab_ser_ar p, {{WRAPPER}} .service_content_btn p ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
		]
	);

    $this->end_controls_section();	
	
	
	
	
	
	
    /**
     * Image Style
     */

    $this->start_controls_section(
      'image_style',
      [
        'label' => 'Image Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Image Overlay
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'image_overlay_background',
        'label' => esc_html__('Overlay Background', 'mediquet'),
        'types' => ['classic', 'gradient', 'video'],
        'selector' => '{{WRAPPER}} .service_image:before',
      ]
    );
	

	// img Width
    $this->add_responsive_control(
      'ser_img_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .ab_ser_img img ' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// icon height
    $this->add_responsive_control(
      'ser_img_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
           '{{WRAPPER}} .ab_ser_img img' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// icons Margin
    $this->add_responsive_control(
      'img_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .ab_ser_img img' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	
	
	
	
	

    $this->end_controls_section();
	
	
	  /**
     * Title Style
     */

    $this->start_controls_section(
      'all_style',
      [
        'label' => 'All Hover color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
    // Title Color
    $this->add_control(
      'all_ho_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .tb_service_sen:hover .service_content_right h1 a, {{WRAPPER}} .tb_service_sen:hover .service_content_right p, {{WRAPPER}} .tb_service_sen:hover .time_all span, {{WRAPPER}} .tb_service_sen:hover.tb_service_sen h1 a, {{WRAPPER}} .tb_service_sen:hover.tb_service_sen p' => 'color: {{VALUE}}',
        ]
      ]
    );
	
	$this->add_control(
      'ico_ho_color',
      [
        'label' => 'Icon Hover Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .tb_service_sen:hover.tb_service_sen i ' => 'color: {{VALUE}}',
        ]
      ]
    );



    $this->end_controls_section();


	
	
	

    /**
     * Arrow Style
     */

    $this->start_controls_section(
      'arrow_style',
      [
        'label' => 'Arrow Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
        'condition' => [
          'service_style' => '1'
        ]
      ]
    );

    $this->start_controls_tabs(
      'service_icon_style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'service_style_icon_tab',
      [
        'label' => esc_html__('Normal', 'mediquet'),
      ]
    );

    // Arrow Color
    $this->add_control(
      'ser_icon_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .ser_icon i' => 'color: {{VALUE}}',
        ]
      ]
    );

    // Arrow Background
    $this->add_control(
      'icon_bg',
      [
        'label' => 'Background',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .ser_icon i' => 'background-color: {{VALUE}}',
        ]
      ]
    );
	
	// Arrow Width
    $this->add_responsive_control(
      'ser_icon_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .ser_icon i' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// Arrow height
    $this->add_responsive_control(
      'ser_icon_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .ser_icon i' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// Line height
    $this->add_responsive_control(
      'ser_icon_line-height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .ser_icon i' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	/* witr_border_style */
	$this->add_control(
		'arrow_border',
		[
			'label' => esc_html__( 'Border Style', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'options' => [
				'none' => esc_html__( 'none', 'mediquet' ),
				'solid' => esc_html__( 'Solid', 'mediquet' ),
				'double' => esc_html__( 'Double', 'mediquet' ),
				'dotted' => esc_html__( 'Dotted', 'mediquet' ),
				'dashed' => esc_html__( 'Dashed', 'mediquet' ),
				'default' => esc_html__( 'Default', 'mediquet' ),
			],
			'default' => 'none',
			'selectors' => [
				'{{WRAPPER}} .ser_icon i' => 'border-style: {{VALUE}}',
			],
		]
	);		
	/* witr border */
	
	$this->add_control(
		'arrow_btn_style',
		[
			'label' => esc_html__( 'Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'selectors' => [
				'{{WRAPPER}} .ser_icon i' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'arrow_border' => ['solid','double','dotted','dashed'],
			],								
		]
	);
	/* border_color */
	$this->add_control(
		'witr_border1_btn_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .ser_icon i' => 'border-color: {{VALUE}}',
			],
			'condition' => [
				'arrow_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);
	/* border_radius */
	$this->add_control(
		'arrow_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .ser_icon i' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'arrow_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);

	/* witr_icon_top */
	$this->add_responsive_control(
		'arrow_top',
		[
			'label' => esc_html__( 'Arrow Top', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'size_units' => [ 'px', '%' ],
			'range' => [
				'px' => [
					'min' => -100,
					'max' => 500,
				],
				'%' => [
					'min' => -100,
					'max' => 100,
				],		
			],						
			'selectors' => [
				'{{WRAPPER}} .ser_icon i' => 'top: {{SIZE}}{{UNIT}};',
			],
		]
	);
	// Left
	$this->add_responsive_control(
		'arrow_Left',
		[
			'label' => esc_html__( 'Arrow Left', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'size_units' => [ 'px', '%' ],
			'range' => [
				'px' => [
					'min' => -100,
					'max' => 500,
				],
				'%' => [
					'min' => -100,
					'max' => 100,
				],		
			],						
			'selectors' => [
				'{{WRAPPER}} .ser_icon i' => 'left: {{SIZE}}{{UNIT}};',
			],
		]
	);
	// right
	$this->add_responsive_control(
		'arrow_right',
		[
			'label' => esc_html__( 'Arrow right', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'size_units' => [ 'px', '%' ],
			'range' => [
				'px' => [
					'min' => -100,
					'max' => 500,
				],
				'%' => [
					'min' => -100,
					'max' => 100,
				],		
			],						
			'selectors' => [
				'{{WRAPPER}} .ser_icon i' => 'right: {{SIZE}}{{UNIT}};',
			],
		]
	);

	

    $this->end_controls_tab();

    // Hover Tab
    $this->start_controls_tab(
      'style_hover_tab',
      [
        'label' => esc_html__('Hover', 'mediquet'),
      ]
    );

    // Arrow Color
    $this->add_control(
      'arrow_hover_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .ser_icon i:hover' => 'color: {{VALUE}}',
        ]
      ]
    );

    // Arrow Background
    $this->add_control(
      'arrow_hover_bg',
      [
        'label' => 'Background',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .ser_icon i:hover' => 'background-color: {{VALUE}}',
        ]
      ]
    );

    $this->end_controls_tab();

    $this->end_controls_tabs();

    $this->end_controls_section();


	
	
	 /**
     * Title Style
     */

    $this->start_controls_section(
      'servic_number_style',
      [
        'label' => 'Number Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Title Color 
    $this->add_control(
      'span_title_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .number_area span' => 'color: {{VALUE}}',
        ] 
      ]
    );

    // Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'numbers_typography',
        'selector' => '{{WRAPPER}} .number_area span',
      ]
    );
	// Title margin
	  $this->add_responsive_control(
		'service2_san_margin',
		[
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'label' => esc_html__( 'Margin', 'mediquet' ),
			'size_units' => [ 'px', 'em', '%' ],
			'selectors' => [
				'{{WRAPPER}} .number_area span ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
		]
	);


    $this->end_controls_section();
	
	
	
	
    /** Button Style */

    $this->start_controls_section(
      'button_style',
      [
        'label' => 'Button',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
        
      ]
    );

    $this->start_controls_tabs(
      'btn_style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'btn_style_normal_tab',
      [
        'label' => esc_html__('Normal', 'mediquet'),
      ]
    );
    // Color
    $this->add_control(
      'btn_title_color',
      [
        'label' => esc_html__('Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .tabtn,{{WRAPPER}} .tabtn i' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'button_typography',
        'selector' => '{{WRAPPER}} .tabtn, {{WRAPPER}} .tabtn i, {{WRAPPER}} .tb_service_sen a i',
      ]
    );
    // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'btn_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient', 'video'],
        'selector' => '{{WRAPPER}} .tabtn',
      ]
    );
	
	
	 /* witr_border_style */
	$this->add_control(
		'btn_border',
		[
			'label' => esc_html__( 'Border Style', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'options' => [
				'none' => esc_html__( 'none', 'mediquet' ),
				'solid' => esc_html__( 'Solid', 'mediquet' ),
				'double' => esc_html__( 'Double', 'mediquet' ),
				'dotted' => esc_html__( 'Dotted', 'mediquet' ),
				'dashed' => esc_html__( 'Dashed', 'mediquet' ),
				'default' => esc_html__( 'Default', 'mediquet' ),
			],
			'default' => 'none',
			'selectors' => [
				 '{{WRAPPER}} .tabtn' => 'border-style: {{VALUE}}',
			],
		]
	);		
	/* witr border */
	
	$this->add_control(
		'btn_bods_style',
		[
			'label' => esc_html__( 'Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'selectors' => [
				 '{{WRAPPER}} .tabtn' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'btn_border' => ['solid','double','dotted','dashed'],
			],								
		]
	);
	/* border_color */
	$this->add_control(
		'btn_border1_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .tabtn' => 'border-color: {{VALUE}}',
			],
			'condition' => [
				'btn_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);
	/* border_radius */
	$this->add_control(
		'btn_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .tabtn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);
	
    // Padding
    $this->add_responsive_control(
      'button_padding',
      [
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'label' => esc_html__( 'Padding', 'mediquet' ),
        'size_units' => [ 'px', 'em', '%' ],
        'selectors' => [
          '{{WRAPPER}} .tabtn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
      ]
    );
	
	
	
			// button margin
	  $this->add_responsive_control(
		'button_margin',
		[
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'label' => esc_html__( 'Margin', 'mediquet' ),
			'size_units' => [ 'px', 'em', '%' ],
			'selectors' => [
				'{{WRAPPER}} a.tabtn' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
		]
	);
	
	
	
	// icon Width
    $this->add_responsive_control(
      'button_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .tabtn' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// icon height
    $this->add_responsive_control(
      'button_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
           '{{WRAPPER}} .tabtn' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// Line height
    $this->add_responsive_control(
      'button_line_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
           '{{WRAPPER}} .tabtn ' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	
    $this->add_responsive_control(
			'btn_position',
			[
				'label' => esc_html__( 'Position', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => '',
				'options' => [
					'' => esc_html__( 'Default', 'mediquet' ),
					'absolute' => esc_html__( 'Absolute', 'mediquet' ),
					'fixed' => esc_html__( 'Fixed', 'mediquet' ),
					'inherit' => esc_html__( 'inherit', 'mediquet' ),
				],
				'selectors' => [
							'{{WRAPPER}} .tb_service_sen.ab_ser_ar a.tabtn' => 'position: {{VALUE}};',
						],
			]
		);
		
		/* witr_icon_top */
				$this->add_responsive_control(
					'witr_btn_top',
					[
						'label' => esc_html__( 'Button Top', 'mediquet' ),
						'type' => \Elementor\Controls_Manager::SLIDER,
						'size_units' => [ 'px', '%' ],
						'range' => [
							'px' => [
								'min' => -100,
								'max' => 500,
							],
							'%' => [
								'min' => -100,
								'max' => 100,
							],		
						],
						'condition' => [
							'btn_position' => ["absolute","fixed"],
						],						
						'selectors' => [
							'{{WRAPPER}} .tb_service_sen.ab_ser_ar a.tabtn' => 'top: {{SIZE}}{{UNIT}};',
						],
					]
				);
				
				/* witr_icon_left */
				$this->add_responsive_control(
					'witr_btn_left',
					[
						'label' => esc_html__( 'Button Left', 'mediquet' ),
						'type' => \Elementor\Controls_Manager::SLIDER,
						'size_units' => [ 'px', '%' ],
						'range' => [
							'px' => [
								'min' => -100,
								'max' => 500,
							],
							'%' => [
								'min' => -100,
								'max' => 100,
							],	
						],
						'condition' => [
							'btn_position' => ["absolute","fixed"],
						],						
						'selectors' => [
							'{{WRAPPER}} .tb_service_sen.ab_ser_ar a.tabtn' => 'left: {{SIZE}}{{UNIT}};',
						],
					]
				);				
				/*  Rotate */
		$this->add_responsive_control(
			'button_rotate',
			[
				'label' => esc_html__( 'Rotate', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'deg' ],
				'default' => [
					'size' => '',
					'unit' => 'deg',
				],
				'tablet_default' => [
					'unit' => 'deg',
				],
				'mobile_default' => [
					'unit' => 'deg',
				],
				'selectors' => [
					'{{WRAPPER}} .ab_ser_ar .tabtn' => 'transform: rotate({{SIZE}}{{UNIT}});',
				],
			]
		);	

    $this->end_controls_tab();
	

    // Hover Tab
    $this->start_controls_tab(
      'btn_style_hover_tab',
      [
        'label' => esc_html__('Hover', 'mediquet'),
      ]
    );

    // Color
    $this->add_control(
      'btn_hover_title_color',
      [
        'label' => esc_html__('Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .tabtn:hover, {{WRAPPER}} .tb_service_sen.service_08:hover .tabtn, {{WRAPPER}}.tb_service_sen.service_08:hover a.tabtn' => 'color: {{VALUE}}',
        ],
      ]
    );


    // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'btn_hover_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient', 'video'],
        'selector' => '{{WRAPPER}} .tabtn:hover, {{WRAPPER}} .tb_service_sen.service_08:hover .tabtn',
      ]
    );


    $this->end_controls_tab();

    $this->end_controls_tabs();

    $this->end_controls_section();

  }

  /*=========== Service 02 protected render start ============*/ 
  protected function render() {
    $settings = $this->get_settings_for_display();
    ?>
    <?php
    if (!empty($settings['service_link']['url'])) {
      $this->add_link_attributes('service_link', $settings['service_link']);
    }
    ?>
	  <!--========begin:: service_style_01 ======== -->
    <?php if ($settings['service_style'] === '1') : ?>
    <div class="tb_service_sen ab_ser_ar">
      <?php if('yes' === $settings['show_icon']): ?>
      <div class="tb_icon">
          <?php \Elementor\Icons_Manager::render_icon($settings['service_icon'], ['aria-hidden' => 'true', 'class' => 'service_icon']); ?>
      </div>
      <?php endif ?>
      <?php if('yes' === $settings['show_img']): ?>
      <div class="ab_ser_img">
        <img src="<?= esc_url($settings['service_image']['url']) ?>" alt="">
      </div>
      <?php endif ?>
      <div class="tb_service_content">
      <h1><a class="service_title" <?php echo $this->get_render_attribute_string('service_link'); ?>><?= $settings['list_title'] ?></a></h1>
      <p> <?= $settings['desc'] ?></p>
      <?php if('yes' === $settings['show_btn']): ?>
        <a <?php echo $this->get_render_attribute_string('service_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
      <?php endif ?>
    </div>
    </div><!--========end:: service_style_01 ======== -->
	  <!--========begin:: service_style_02 ======== -->
	  <?php elseif ($settings['service_style'] === '2') : ?>
      <div class="tb_service_sen ab_ser_ar tb_flex_style">
        <div class="service_icon_img">
          <?php if('yes' === $settings['show_icon']): ?>
            <div class="tb_icon">
              <?php \Elementor\Icons_Manager::render_icon($settings['service_icon'], ['aria-hidden' => 'true', 'class' => 'service_icon']); ?>
          </div>
            <?php endif ?>
            <?php if('yes' === $settings['show_img']): ?>
            <div class="ab_ser_img">
              <img src="<?= esc_url($settings['service_image']['url']) ?>" alt="">
            </div>
            <?php endif ?>
          </div>
          <div class="service_content_right">
            <h1><a class="service_title" <?php echo $this->get_render_attribute_string('service_link'); ?>><?= $settings['list_title'] ?></a></h1>
            <p> <?= $settings['desc'] ?></p>
            <?php if('yes' === $settings['show_btn']): ?>
              <a <?php echo $this->get_render_attribute_string('service_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
            <?php endif ?>
        </div>
      </div>
      <!--========begin:: service_style_03 ======== -->
      <?php elseif ($settings['service_style'] === '3') : ?>
        <div class="tb_service_sen ab_ser_ar tb_flex_style">
          <div class="service_content_right">
            <h1><a class="service_title" <?php echo $this->get_render_attribute_string('service_link'); ?>><?= $settings['list_title'] ?></a></h1>
            <p> <?= $settings['desc'] ?></p>
            <?php if('yes' === $settings['show_btn']): ?>
              <a <?php echo $this->get_render_attribute_string('service_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
            <?php endif ?>
          </div>
          <div class="service_icon_img">
            <?php if('yes' === $settings['show_icon']): ?>
              <div class="tb_icon">
                <?php \Elementor\Icons_Manager::render_icon($settings['service_icon'], ['aria-hidden' => 'true', 'class' => 'service_icon']); ?>
              </div>
            <?php endif ?>
            <?php if('yes' === $settings['show_img']): ?>
              <div class="ab_ser_img">
                <img src="<?= esc_url($settings['service_image']['url']) ?>" alt="">
              </div>
            <?php endif ?>
          </div>
        </div>
        <!--========begin:: service_style_04 ======== -->
        <?php elseif ($settings['service_style'] === '4') : ?>
          <div class="tb_service_sty4">
            <div class="tb_service_sen ab_ser_ar ">
              <div class="tb_icon">
                <?php if('yes' === $settings['show_icon']): ?>
                  <?php \Elementor\Icons_Manager::render_icon($settings['service_icon'], ['aria-hidden' => 'true', 'class' => 'service_icon']); ?>
                <?php endif ?>
              </div>
              <div class="ab_ser_img img">
                <?php if('yes' === $settings['show_img']): ?>
                  <img src="<?= esc_url($settings['service_image']['url']) ?>" alt="">
                <?php endif ?>
              </div>
              <h1><a class="service_title" <?php echo $this->get_render_attribute_string('service_link'); ?>><?= $settings['list_title'] ?></a></h1>
              <p> <?= $settings['desc'] ?></p>
              <?php if('yes' === $settings['show_btn']): ?>
                <a <?php echo $this->get_render_attribute_string('service_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
              <?php endif ?>
            </div>
            <div class="strock_number">
              <span><?= $settings['descs'] ?></span>
            </div>
          </div>
          <!--========begin:: service_style_05 ======== -->
          <?php elseif ($settings['service_style'] === '5') : ?>
            <div class="tb_service_sen ab_ser_ar s2_style5 ">
              <div class="service_icon_img">
                <?php if('yes' === $settings['show_icon']): ?>
                  <div class="tb_icon">
                    <?php \Elementor\Icons_Manager::render_icon($settings['service_icon'], ['aria-hidden' => 'true', 'class' => 'service_icon']); ?>
                </div>
                  <?php endif ?>
                  <?php if('yes' === $settings['show_img']): ?>
                  <div class="ab_ser_img">
                    <img src="<?= esc_url($settings['service_image']['url']) ?>" alt="">
                  </div>
                  <?php endif ?>
                  <h1><a class="service_title" <?php echo $this->get_render_attribute_string('service_link'); ?>><?= $settings['list_title'] ?></a></h1>
                </div>
                <div class="service_content_btn">
                  <p> <?= $settings['desc'] ?></p>
                  <?php if('yes' === $settings['show_btn']): ?>
                    <a <?php echo $this->get_render_attribute_string('service_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
                  <?php endif ?>
              </div>
            </div>
            <!--========begin:: service_style_06 ======== -->
            <?php elseif ($settings['service_style'] === '6') : ?>
              <div class="tb_service_sen ab_ser_ar tb_flex_style">
                <div class="service_content_right">
                  <h1><a class="service_title" <?php echo $this->get_render_attribute_string('service_link'); ?>><?= $settings['list_title'] ?></a></h1>
                  <p> <?= $settings['desc'] ?></p>
                </div>
                <div class="service_icon_img">
                  <?php if('yes' === $settings['show_icon']): ?>
                    <div class="tb_icon">
                      <?php \Elementor\Icons_Manager::render_icon($settings['service_icon'], ['aria-hidden' => 'true', 'class' => 'service_icon']); ?>
                    </div>
                  <?php endif ?>
                  <?php if('yes' === $settings['show_img']): ?>
                    <div class="ab_ser_img">
                      <img src="<?= esc_url($settings['service_image']['url']) ?>" alt="">
                    </div>
                  <?php endif ?>
                </div>
                <?php if('yes' === $settings['show_btn']): ?>
                    <a <?php echo $this->get_render_attribute_string('service_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
                  <?php endif ?>   
              </div>
            <!--========begin:: service_style_06 ======== -->
            <?php elseif ($settings['service_style'] === '7') : ?>
              <div class="tb_service_sen ab_ser_ar tb_flex_style service_style7">
              <div class="tb_service_sen_inner">
                <div class="service_content_right">
                  <h1><a class="service_title" <?php echo $this->get_render_attribute_string('service_link'); ?>><?= $settings['list_title'] ?></a></h1>
                  <p> <?= $settings['desc'] ?></p>
                </div>
                <div class="service_icon_img">
                  <?php if('yes' === $settings['show_icon']): ?>
                    <div class="tb_icon">
                      <?php \Elementor\Icons_Manager::render_icon($settings['service_icon'], ['aria-hidden' => 'true', 'class' => 'service_icon']); ?>
                    </div>
                  <?php endif ?>
                  <?php if('yes' === $settings['show_img']): ?>
                    <div class="ab_ser_img">
                      <img src="<?= esc_url($settings['service_image']['url']) ?>" alt="">
                    </div>
                  <?php endif ?>
                </div>
                <?php if('yes' === $settings['show_btn']): ?>
                    <a <?php echo $this->get_render_attribute_string('service_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
                  <?php endif ?>   
                  </div>
              </div>
               <!--========begin:: service_style_08 ======== -->
            <?php elseif ($settings['service_style'] === '8') : ?>
              <div class="tb_service_sen ab_ser_ar tb_flex_style service_style8">
              <div class="tb_service_sen_inner">
                <div class="service_content_right">
                  <h1><a class="service_title" <?php echo $this->get_render_attribute_string('service_link'); ?>><?= $settings['list_title'] ?></a></h1>
                  <p> <?= $settings['desc'] ?></p>
                </div>
                <div class="service_icon_img">
                  <?php if('yes' === $settings['show_icon']): ?>
                    <div class="tb_icon">
                      <?php \Elementor\Icons_Manager::render_icon($settings['service_icon'], ['aria-hidden' => 'true', 'class' => 'service_icon']); ?>
                    </div>
                  <?php endif ?>
                  <?php if('yes' === $settings['show_img']): ?>
                    <div class="ab_ser_img">
                      <img src="<?= esc_url($settings['service_image']['url']) ?>" alt="">
                    </div>
                  <?php endif ?>
                </div>
                <?php if('yes' === $settings['show_btn']): ?>
                    <a <?php echo $this->get_render_attribute_string('service_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
                  <?php endif ?>   
                  </div>
              </div>
          <?php endif ?>

          
<?php
  }
}
