<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
}

/*============== Slider Widget =================*/

class Slider_Widget extends \Elementor\Widget_Base {
  public function get_name() {
    return 'morat-slider';
  }

  public function get_title() {
    return esc_html__('mediquet Slider', 'mediquet-widget');
  }

  public function get_categories() {
    return ['basic'];
  }

  /**
   * Controls
   */
  protected function register_controls() {
	  
    // Content Section
    $this->start_controls_section(
      'content_section',
      [
        'label' => 'Content',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    $repeater = new \Elementor\Repeater();

		// Service Style
    $this->add_control(
      'slider_style',
      [
        'label' => esc_html__('slider Style', 'textdomain'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => '1',
        'options' => [
          '1'  => esc_html__('One', 'textdomain'),
          '2' => esc_html__('Two', 'textdomain'),
          '3' => esc_html__('Three', 'textdomain'),
        ],
      ]
    );
	
    // Slider Style
    $repeater->add_control(
      'list_slider_style',
      [
        'label' => esc_html__('Slider Style', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'center',
        'options' => [
          'text-left'  => esc_html__('Text Left', 'mediquet'),
          'text-center' => esc_html__('Text Center', 'mediquet'),
          'text-right' => esc_html__('Text Right', 'mediquet'),
        ],
      ]
    );

	// Top Title  
    $repeater->add_control(
      'top_title',
      [
        'label' => esc_html__('Top Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Top Title Here', 'mediquet'),
      ]
    );

	
    // Main Title
    $repeater->add_control(
      'list_main_title',
      [
        'label' => esc_html__('Main Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Main Title Here', 'mediquet'),
        'label_block' => true,
      ]
    );

    // content Title
    $repeater->add_control(
      'list_subs_title',
      [
        'label' => esc_html__('Sub Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Content Title Here', 'mediquet'),
        'label_block' => true,
      ]
    );
	// content Title
    $repeater->add_control(
      'list_content_title',
      [
        'label' => esc_html__('Content Title ', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Content Title Here', 'mediquet'),
        'label_block' => true,
      ]
    );
	  // Button Text 
    $repeater->add_control(
      'btn_txt',
      [
        'label' => esc_html__('Button Text', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Read More', 'mediquet'),
        'label_block' => true,
      ]
    );
    /* main slick witr_button_link */	
    $repeater->add_control(
      'button_link',
      [
        'label' => esc_html__( 'Button Link', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::URL,
        'description' =>esc_html__('Insert button link. It hidden when field blank.','bitor'),
        'placeholder' => esc_attr__( 'https://your_site.com', 'bitor' ),
        'show_external' => true,
        'default' => [
          'url' => '',
        ],	
                
      ]
    );
    // Show Button
    $repeater->add_control(
			'show_button',
			[
				'label' => esc_html__( 'Show Button', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'v' ),
				'label_off' => esc_html__( 'Hide', 'mediquet' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
    //video Button  
    $repeater->add_control(
      'video_btn_txt',
      [
        'label' => esc_html__('Button 02', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Contact Us', 'mediquet'),
        'label_block' => true,
      ]
    );
  
    /* main slick witr_button_link */	
    $repeater->add_control(
      'video_button_link',
      [
        'label' => esc_html__( 'Button Link', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::URL,
        'description' =>esc_html__('Insert button link. It hidden when field blank.','bitor'),
        'placeholder' => esc_attr__( 'https://your_site.com', 'bitor' ),
        'show_external' => true,
        'default' => [
          'url' => '',
        ],	
                
      ]
    );
    // Show Author
    $repeater->add_control(
			'show_author',
			[
				'label' => esc_html__( 'Show Author', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'v' ),
				'label_off' => esc_html__( 'Hide', 'mediquet' ),
				'return_value' => 'yes',
				'default' => 'No',
			]
		);
      // Slider Image
      $repeater->add_control(
        'author_image',
        [
          'label' => esc_html__('Author Image', 'mediquet'),
          'type' => \Elementor\Controls_Manager::MEDIA,
          'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
          ],
          'condition' => [
            'show_author' => 'yes',
          ],
        ]
      );
    
    // Author Title
    $repeater->add_control(
      'author_title',
      [
        'label' => esc_html__('Author Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Author Title', 'mediquet'),
        'label_block' => true,
        'condition' => [
          'show_author' => 'yes',
        ],
      ]
    );
	// Author  Sub Title
    $repeater->add_control(
      'author_sub_title',
      [
        'label' => esc_html__('Author Sub Title ', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Author Sub Title', 'mediquet'),
        'label_block' => true,
        'condition' => [
          'show_author' => 'yes',
        ],
      ]
    );







    // Slider Image
    $repeater->add_control(
      'list_image',
      [
        'label' => esc_html__('Slider Image', 'mediquet'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
          'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
      ]
    );

    // Slider Image Position
    $repeater->add_control(
      'image_position',
      [
        'label' => esc_html__('Image Position', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'default',
        'options' => [
          'default'  => esc_html__('Default', 'mediquet'),
          'top'  => esc_html__('Top', 'mediquet'),
          'bottom' => esc_html__('Bottom', 'mediquet'),
          'center' => esc_html__('Center', 'mediquet'),
          'left' => esc_html__('Left', 'mediquet'),
          'right' => esc_html__('Right', 'mediquet'),
        ],
      ]
    );

    // Slider Image Repeat
    $repeater->add_control(
      'image_repeat',
      [
        'label' => esc_html__('Image Repeat', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'default',
        'options' => [
			'default'  => esc_html__('Default', 'mediquet'),
          'repeat'  => esc_html__('Repeat', 'mediquet'),
          'no-repeat' => esc_html__('No Repeat', 'mediquet'),
          'repeat-x' => esc_html__('Repeat X', 'mediquet'),
          'repeat-y' => esc_html__('Repeat Y', 'mediquet'),
        ],
      ]
    );

    // Background Size
    $repeater->add_control(
      'bg_size',
      [
        'label' => esc_html__('Size', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'default',
        'options' => [
		'default'  => esc_html__('Default', 'mediquet'),
          'cover'  => esc_html__('Cover', 'mediquet'),
          'fill' => esc_html__('Fill', 'mediquet'),
          'scale-down' => esc_html__('Scale down', 'mediquet'),
          'none' => esc_html__('None', 'mediquet'),
        ],
      ]
    );

	// Slider Image
    $repeater->add_control(
      'left_image',
      [
        'label' => esc_html__('Left Image', 'mediquet'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => ['large'],
      ]
    );
	
    $this->add_control(
      'list',
      [
        'label' => esc_html__('Slider List', 'mediquet'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $repeater->get_controls(),
        
        'default' => [
          [
            'top_title' => esc_html__('Top title', 'mediquet'),
            'list_main_title' => esc_html__('Main title #1', 'mediquet'),
            'list_sub_title' => esc_html__('Item content. Click the edit button to change this text.', 'mediquet'),
            'list_subs_title' => esc_html__('List Sub Title', 'mediquet'),
            'button_link' => esc_html__('Button Text', 'mediquet'),
            'video_button_link' => esc_html__('Video Button Text', 'mediquet'),
            'btn_txt' => esc_html__('Button Text', 'mediquet'),
            
          ],
          [
            'list_main_title' => esc_html__('Main title #2', 'mediquet'),
            'list_sub_title' => esc_html__('Item content. Click the edit button to change this text.', 'mediquet'),
            'list_subs_title' => esc_html__('List Sub Title', 'mediquet'),
            'button_link' => esc_html__('Button Text', 'mediquet'),
            'video_button_link' => esc_html__('Video Button Text', 'mediquet'),
            'btn_txt' => esc_html__('Button Text', 'mediquet'),
          ],
        ],
        'title_field' => '{{{ list_main_title }}}',
      ]
    );

	

	
	
    $this->end_controls_section();



    /**
     * Slider Settings
     */

    // Content Section
    $this->start_controls_section(
      'settings_section',
      [
        'label' => 'Slider Settings',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );


    // Auto Play
    $this->add_control(
      'auto_play',
      [
        'label' => esc_html__('Auto Play', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

    // Speed
    $this->add_control(
      'speed',
      [
        'label' => esc_html__('Speed', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );

    // AutoPlay Speed
    $this->add_control(
      'autoplay_speed',
      [
        'label' => esc_html__('Autoplay Speed', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );


    // Slide To Show
    $this->add_control(
      'slide_to_show',
      [
        'label' => esc_html__('Slide To Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );

    // Slide To Scroll
    $this->add_control(
      'slide_to_scroll',
      [
        'label' => esc_html__('Slide To Scroll', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );


    // Dot
    $this->add_control(
      'dot',
      [
        'label' => esc_html__('Dot', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'false',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

    
    // Arrows
    $this->add_control(
      'arrows',
      [
        'label' => esc_html__('Arrows', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

    // Infinite
    $this->add_control(
      'infinite',
      [
        'label' => esc_html__('Infinite', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    $this->end_controls_section();

// Slider Responsive Section
$this->start_controls_section(
  'slider_responsive_section',
  [
    'label' => 'Responsive Settings',
    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
  ]
);
// Slider carousel To Show
$this->add_control(
  'slide_rea_show',
  [
    'label' => esc_html__('Mobel Show', 'mediquet'),
    'type' => \Elementor\Controls_Manager::NUMBER,
    'min' => 1,
    'max' => 6,
    'default' => 1,
  ]
);
// carousel Responsive To Show
$this->add_control(
  'slide_reas_show',
  [
    'label' => esc_html__('Tablet Show', 'mediquet'),
    'type' => \Elementor\Controls_Manager::NUMBER,
    'min' => 1,
    'max' => 6,
    'default' => 1,
  ]
);
// carousel Responsive To Show
$this->add_control(
  'slide_reass_show',
  [
    'label' => esc_html__('Desktop Show', 'mediquet'),
    'type' => \Elementor\Controls_Manager::NUMBER,
    'min' => 1,
    'max' => 6,
    'default' => 1,
  ]
);

$this->end_controls_section();

    


    /**
     * Slider Style
     */
	 
	 
	 
	 // Top Title Style
    $this->start_controls_section(
      'slider_content_style',
      [
        'label' => 'Slider Content',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

   /* witr_icon_top */
		$this->add_responsive_control(
			'slider_content_top',
			[
				'label' => esc_html__( 'Content Top', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => -100,
						'max' => 500,
					],
					'%' => [
						'min' => -100,
						'max' => 100,
					],		
				],
				'selectors' => [
					'{{WRAPPER}} .slider_2 .slider_position' => 'top: {{SIZE}}{{UNIT}};',
				],
			]
		);
		
		/* witr_icon_left */
		$this->add_responsive_control(
			'slider_left',
			[
				'label' => esc_html__( 'Slider Content Left', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => -100,
						'max' => 500,
					],
					'%' => [
						'min' => -100,
						'max' => 100,
					],	
				],
				'selectors' => [
					'{{WRAPPER}} .slider_2 .slider_position' => 'left: {{SIZE}}{{UNIT}};',
				],
			]
		);				
		
		
		
	$this->add_responsive_control(
      'slider_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slider_bg' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
		

    $this->end_controls_section();
	 
	 // Top Title Style
    $this->start_controls_section(
      'slider_text_content_style',
      [
        'label' => 'Slider Text Content',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

   /* witr_icon_top */
		$this->add_responsive_control(
			'slider_text_content_top',
			[
				'label' => esc_html__( 'Content Top', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => -100,
						'max' => 500,
					],
					'%' => [
						'min' => -100,
						'max' => 100,
					],		
				],
				'selectors' => [
					'{{WRAPPER}} .slider_text_content' => 'top: {{SIZE}}{{UNIT}};',
				],
			]
		);
		
		/* witr_icon_left */
		$this->add_responsive_control(
			'slider_text_content_right',
			[
				'label' => esc_html__( 'Slider Content Right', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => -100,
						'max' => 500,
					],
					'%' => [
						'min' => -100,
						'max' => 100,
					],	
				],
				'selectors' => [
					'{{WRAPPER}} .slider_text_content' => 'right: {{SIZE}}{{UNIT}};',
				],
			]
		);				
		
		
		
		
		

    $this->end_controls_section();
	 
	 
    // Top Title Style
    $this->start_controls_section(
      'main_top_title_style',
      [
        'label' => 'Top Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'slider_title_typography',
        'selector' => '{{WRAPPER}} .slider_text h1',
      ]
    );

    // Main Title Color
    $this->add_control(
      'main_top_title_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h1' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'main_top_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h1' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );


    // Main Title Margin
    $this->add_responsive_control(
      'main_top_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h1' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'top_title_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slider_text h1 ',
      ]
    ); 

    $this->end_controls_section();
	 
	 
	 
	 
	 
    // Main Title Style
    $this->start_controls_section(
      'main_title_style',
      [
        'label' => 'Main Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_title_typography',
        'selector' => '{{WRAPPER}} .slider_text h2',
      ]
    );

    // Main Title Color
    $this->add_control(
      'main_title_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h2' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'main_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h2' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'main_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h2' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	

    $this->end_controls_section();

	
	
    // Main Title Style
    $this->start_controls_section(
      'main_span_title_style',
      [
        'label' => 'Heighlight Color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_span_title_typography',
        'selector' => '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span',
      ]
    );

    // Main Title Color
    $this->add_control(
      'slider_span_title_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	// Background Color
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'span_background_color',
        'label' => esc_html__('Background Color', 'textdomain'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span',
      ]
    );
	
	
	 // Main Title Padding
    $this->add_responsive_control(
      'slider_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'main_span_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	

    $this->end_controls_section();
	
	
	
	
	 // Main Title Style
    $this->start_controls_section(
      'main_subs_style',
      [
        'label' => 'sub Color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_sub_typography',
        'selector' => '{{WRAPPER}} .slider_text h3',
      ]
    );

    // Main Title Color
    $this->add_control(
      'main_span_title_color',
      [
        'label' => esc_html__('sub Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h3' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	// Main Title Color
    $this->add_control(
      'css_title_color',
      [
        'label' => esc_html__('Sub Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h3' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	
	 // Main Title Padding
    $this->add_responsive_control(
      'main_span_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h3' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'sub_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h3' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	

    $this->end_controls_section();
	
	
	
	
    // content Title Style
    $this->start_controls_section(
      'sub_title_style',
      [
        'label' => 'Content Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // content Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'content_title_typography',
        'selector' => '{{WRAPPER}} .slider_text p',
      ]
    );

	// content Width
    $this->add_responsive_control(
      'content_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slider_text p' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	
    // Main Title Color
    $this->add_control(
      'content_title_color',
      [
        'label' => esc_html__('Sub Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text p' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	 // Main Title Padding
    $this->add_responsive_control(
      'main_content_padding',
      [
        'label' => 'content Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text p' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'main_content_margin',
      [
        'label' => 'content Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text p' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    
    $this->end_controls_section();


	// slider Right Images Style
  $this->start_controls_section(
    'slider_right_imag_style',
    [
      'label' => 'Right Images',
      'tab' => \Elementor\Controls_Manager::TAB_STYLE
    ]
  );
    // images Width
    $this->add_responsive_control(
      'slider_right_image_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__( 'Width', 'mediquet' ),
        'size_units' => [ 'px', 'em', '%' ],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 1000,
          ]
        ],
        'devices' => [ 'desktop', 'tablet', 'mobile' ],
        'selectors' => [
          '{{WRAPPER}} .slider_text img' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
      // images Height
      $this->add_responsive_control(
      'slider_right_image_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__( 'Height', 'mediquet' ),
        'size_units' => [ 'px', 'em', '%' ],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 1000,
          ]
        ],
        'devices' => [ 'desktop', 'tablet', 'mobile' ],
        'selectors' => [
          '{{WRAPPER}} .slider_text img' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
  
    // images max width	
    $this->add_responsive_control(
      'slider_right_space',
      [
        'label' => esc_html__( 'Max Width', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SLIDER,
        'default' => [
          'unit' => '%',
        ],
        'tablet_default' => [
          'unit' => '%',
        ],
        'mobile_default' => [
          'unit' => '%',
        ],
        'size_units' => [ '%', 'px', 'vw' ],
        'range' => [
          '%' => [
            'min' => 1,
            'max' => 100,
          ],
          'px' => [
            'min' => 1,
            'max' => 1000,
          ],
          'vw' => [
            'min' => 1,
            'max' => 100,
          ],
        ],
        'selectors' => [
          '{{WRAPPER}} .slider_text img' => 'max-width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
      
    // images Top
    $this->add_responsive_control(
      'slider_right_img_Top',
      [
        'label' => esc_html__( 'Image Top', 'elementor' ),
        'type' => \Elementor\Controls_Manager::SLIDER,
        'size_units' => [ 'px', '%' ],
        'range' => [
          'px' => [
            'min' => -1000,
            'max' => 500,
          ],
          '%' => [
            'min' => -1000,
            'max' => 100,
          ],		
        ],						
        'selectors' => [
          '{{WRAPPER}} .slider_text img' => 'top: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
    // images Left
    $this->add_responsive_control(
      'slider_right_img_Left',
        [
          'label' => esc_html__( 'Image Left', 'elementor' ),
          'type' => \Elementor\Controls_Manager::SLIDER,
          'size_units' => [ 'px', '%' ],
          'range' => [
            'px' => [
              'min' => -1000,
              'max' => 500,
            ],
            '%' => [
              'min' => -1000,
              'max' => 100,
            ],		
          ],						
          'selectors' => [
            '{{WRAPPER}} .slider_text img' => 'left: {{SIZE}}{{UNIT}};',
          ],
        ]
      );
    // images z_index
    $this->add_responsive_control(
			'z_index',
			[
				'label' => esc_html__( 'Z-Index', 'elementor' ),
				'type' =>  \Elementor\Controls_Manager::NUMBER,
				'min' => 0,
				'selectors' => [
					'{{WRAPPER}} .slider_text img' => 'z-index: {{VALUE}};',
				],
			]
		);

  $this->end_controls_section();
	
	// button_style
	    $this->start_controls_section(
      'button_style',
      [
        'label' => 'Button Style',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );


    /** Tabs */

    $this->start_controls_tabs(
      'slider_title_style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'slider_title_tab',
      [
        'label' => esc_html__('Normal', 'mediquet'),
      ]
    );
	

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'sd_top_title_typography',
        'selector' => '{{WRAPPER}} a.tabtn',
      ]
    );

    // Main Title Color
    $this->add_control(
      'slider_title_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} a.tabtn' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'btn_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient', 'video'],
        'selector' => '{{WRAPPER}} a.tabtn',
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'button_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} a.tabtn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

	
	/* witr_border_style */
			$this->add_control(
				'slider_btn',
				[
					'label' => esc_html__( 'Border Style', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'options' => [
						'none' => esc_html__( 'none', 'mediquet' ),
						'solid' => esc_html__( 'Solid', 'mediquet' ),
						'double' => esc_html__( 'Double', 'mediquet' ),
						'dotted' => esc_html__( 'Dotted', 'mediquet' ),
						'dashed' => esc_html__( 'Dashed', 'mediquet' ),
						'default' => esc_html__( 'Default', 'mediquet' ),
					],
					'default' => 'none',
					'selectors' => [
						'{{WRAPPER}} a.tabtn' => 'border-style: {{VALUE}}',
					],
				]
			);		
			/* witr border */
			
			$this->add_control(
				'slider_btn_style',
				[
					'label' => esc_html__( 'Width', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'selectors' => [
						'{{WRAPPER}} a.tabtn' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'slider_btn' => ['solid','double','dotted','dashed'],
					],								
				]
			);
			/* border_color */
			$this->add_control(
				'slider_btns_color',
				[
					'label' => esc_html__( 'Border Color', 'mediquet' ),
					'type' =>  \Elementor\Controls_Manager::COLOR,
					
					'selectors' => [
						'{{WRAPPER}} a.tabtn' => 'border-color: {{VALUE}}',
					],
					'condition' => [
						'slider_btn' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);
			/* border_radius */
			$this->add_control(
				'slider_btn_radius',
				[
					'label' => esc_html__( 'Border Radius', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px', '%' ],
					'selectors' => [
						'{{WRAPPER}} a.tabtn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],								
				]
			);
	
    // Main  Margin
    $this->add_responsive_control(
      'button_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .tbd_sl_btn' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	
	$this->end_controls_tab();

    // Hover Tab
    $this->start_controls_tab(
      'style_btn_hover_tab',
      [
        'label' => esc_html__('Hover', 'mediquet'),
      ]
    );
	
	
	// Main Title Color
    $this->add_control(
      'slider_button_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} a.tabtn:hover' => 'color: {{VALUE}}',
        ],
      ]
    );

	 // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'btn_hover_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient', 'video'],
        'selector' => '{{WRAPPER}} a.tabtn:hover',
      ]
    );

	  $this->end_controls_tab();
    $this->end_controls_tabs();

	
	
    $this->end_controls_section();
	 
	 
	 // Video  button style
   $this->start_controls_section(
    'video_button_style',
    [
      'label' => 'Video Button Style',
      'tab' => \Elementor\Controls_Manager::TAB_STYLE
    ]
  );

  /** Video button Tabs */
  $this->start_controls_tabs(
    'slider_video_btn_style_tabs'
  );

  // Normal Tab
  $this->start_controls_tab(
    'slider_video_btn_tab',
    [
      'label' => esc_html__('Normal', 'mediquet'),
    ]
  );
  // Video Button Typography
  $this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
      'name' => 'video_btn_typography',
      'selector' => '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn',
    ]
  );

  // Video Button Color
  $this->add_control(
    'video_btn_color',
    [
      'label' => esc_html__('video btn Color', 'mediquet'),
      'type' => \Elementor\Controls_Manager::COLOR,
      'selectors' => [
        '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn' => 'color: {{VALUE}}',
      ],
    ]
  );
 // Background
  $this->add_group_control(
    \Elementor\Group_Control_Background::get_type(),
    [
      'name' => 'video_btn_background',
      'label' => esc_html__('Background', 'mediquet'),
      'types' => ['classic', 'gradient', 'video'],
      'selector' => '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn',
    ]
  );
 // Main Title Padding
  $this->add_responsive_control(
    'video_btn_padding',
    [
      'label' => 'Padding',
      'type' => \Elementor\Controls_Manager::DIMENSIONS,
      'size_units' => ['px', 'em', '%'],
      'selectors' => [
        '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
      ],
      'separator' => 'before',
    ]
  );


/* witr_border_style */
    $this->add_control(
      'slider_video_btn_btn',
      [
        'label' => esc_html__( 'Border Style', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SELECT,
        'options' => [
          'none' => esc_html__( 'none', 'mediquet' ),
          'solid' => esc_html__( 'Solid', 'mediquet' ),
          'double' => esc_html__( 'Double', 'mediquet' ),
          'dotted' => esc_html__( 'Dotted', 'mediquet' ),
          'dashed' => esc_html__( 'Dashed', 'mediquet' ),
          'default' => esc_html__( 'Default', 'mediquet' ),
        ],
        'default' => 'none',
        'selectors' => [
          '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn' => 'border-style: {{VALUE}}',
        ],
      ]
    );		
    /* witr border */
    
    $this->add_control(
      'slider_btn_width_style',
      [
        'label' => esc_html__( 'Width', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'selectors' => [
          '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'condition' => [
          'slider_video_btn_btn' => ['solid','double','dotted','dashed'],
        ],								
      ]
    );
    /* border_color */
    $this->add_control(
      'slider_btn_color',
      [
        'label' => esc_html__( 'Border Color', 'mediquet' ),
        'type' =>  \Elementor\Controls_Manager::COLOR,
        
        'selectors' => [
          '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn' => 'border-color: {{VALUE}}',
        ],
        'condition' => [
          'slider_video_btn_btn' => ['solid','double','dotted','dashed','default'],
        ],								
      ]
    );
    /* border_radius */
    $this->add_control(
      'slider_video_btn_radius',
      [
        'label' => esc_html__( 'Border Radius', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => [ 'px', '%' ],
        'selectors' => [
          '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],								
      ]
    );

  // Video Button  Margin
  $this->add_responsive_control(
    'slider_video_btn_margin',
    [
      'label' => 'Margin',
      'type' => \Elementor\Controls_Manager::DIMENSIONS,
      'size_units' => ['px', 'em', '%'],
      'selectors' => [
        '{{WRAPPER}} .tbd_sl_btn' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
      ],
      'separator' => 'before',
    ]
  );

$this->end_controls_tab();

  // Hover Tab
  $this->start_controls_tab(
    'slider_video_btn_hover_tab',
    [
      'label' => esc_html__('Hover', 'mediquet'),
    ]
  );


// slider video button hover Color
  $this->add_control(
    'slider_video_btn_color',
    [
      'label' => esc_html__('Main Title Color', 'mediquet'),
      'type' => \Elementor\Controls_Manager::COLOR,
      'selectors' => [
        '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn:hover' => 'color: {{VALUE}}',
      ],
    ]
  );

 // Background
  $this->add_group_control(
    \Elementor\Group_Control_Background::get_type(),
    [
      'name' => 'slider_video_btn_hover_background',
      'label' => esc_html__('Background', 'mediquet'),
      'types' => ['classic', 'gradient', 'video'],
      'selector' => '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn:hover',
    ]
  );
      /* border_color */
      $this->add_control(
        'hover_btn_color',
        [
          'label' => esc_html__( 'hover Border Color', 'mediquet' ),
          'type' =>  \Elementor\Controls_Manager::COLOR,
          'selectors' => [
            '{{WRAPPER}} .tbd_sl_btn .tabtn.video-btn:hover' => 'border-color: {{VALUE}}',
          ],								
        ]
      );

    $this->end_controls_tab();
  $this->end_controls_tabs();



  $this->end_controls_section();
	
	
	
	 /**
     * Arrow Style Section  
     */
    $this->start_controls_section(
      'Arrow_style',
      [
        'label' => 'Arrow Options',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
		'condition' => [
			'arrows' => 'true',
		],	
      ]
    );
    $this->start_controls_tabs(
      'slider_arrow_style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'slider_arrow_tab',
      [
        'label' => esc_html__('Normal', 'mediquet'),
      ]
    );

    // Color
    $this->add_control(
      'title_color',
      [
        'label' => esc_html__('Arrow Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slick-prev:before, {{WRAPPER}} .slick-next:before' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next',
      ]
    );

	// Arrow Width
		$this->add_responsive_control(
		  'arrow_font_size',
		  [
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => esc_html__('font size', 'mediquet'),
			'size_units' => ['px'],
			'range' => [
			  'px' => [
				'min' => 0,
				'max' => 500,
			  ],
			  '%' => [
				'min' => 0,
				'max' => 100
			  ]
			],
			'selectors' => [
			  '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'font-size: {{SIZE}}{{UNIT}};',
			],
		  ]
		);
	
	// Arrow Width
    $this->add_responsive_control(
      'arrow_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// Arrow height
    $this->add_responsive_control(
      'arrow_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// Arrow height
    $this->add_responsive_control(
      'arrow_line-height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	
	/* arrow Opacity */
		$this->add_responsive_control(
			'arrow_opacity',
			[
				'label' => esc_html__( 'Arrow Opacity', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'selectors' => [
					'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'opacity: {{SIZE}}{{UNIT}};',
				],
			]
		);	
	
		/* witr_border_style */
			$this->add_control(
				'arrow_border',
				[
					'label' => esc_html__( 'Border Style', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'options' => [
						'none' => esc_html__( 'none', 'mediquet' ),
						'solid' => esc_html__( 'Solid', 'mediquet' ),
						'double' => esc_html__( 'Double', 'mediquet' ),
						'dotted' => esc_html__( 'Dotted', 'mediquet' ),
						'dashed' => esc_html__( 'Dashed', 'mediquet' ),
						'default' => esc_html__( 'Default', 'mediquet' ),
					],
					'default' => 'none',
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-style: {{VALUE}}',
					],
				]
			);		
			/* witr border */
			
			$this->add_control(
				'arrow_btn_style',
				[
					'label' => esc_html__( 'Width', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed'],
					],								
				]
			);
			/* border_color */
			$this->add_control(
				'witr_border1_btn_color',
				[
					'label' => esc_html__( 'Border Color', 'mediquet' ),
					'type' =>  \Elementor\Controls_Manager::COLOR,
					
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-color: {{VALUE}}',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);
			/* border_radius */
			$this->add_control(
				'arrow_radius',
				[
					'label' => esc_html__( 'Border Radius', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px', '%' ],
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);

			/* witr_icon_top */
			$this->add_responsive_control(
				'arrow_top',
				[
					'label' => esc_html__( 'Arrow Top', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slider_active.slick-slider .slick-next , {{WRAPPER}} .slider_active.slick-slider .slick-prev' => 'top: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// Left
			$this->add_responsive_control(
				'arrow_Left',
				[
					'label' => esc_html__( 'Arrow Left', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slider_active.slick-slider .slick-prev' => 'left: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// right
			$this->add_responsive_control(
				'arrow_right',
				[
					'label' => esc_html__( 'Arrow right', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slider_active.slick-slider .slick-next ' => 'right: {{SIZE}}{{UNIT}};',
					],
				]
			);
		
	
    $this->end_controls_tab();

	
	
    // Hover Tab
    $this->start_controls_tab(
      'style_hover_tab',
      [
        'label' => esc_html__('Hover', 'mediquet'),
      ]
    );

	
    // Color
    $this->add_control(
      'arrow_color_hover',
      [
        'label' => esc_html__('Arrow Color Hover', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_active.slick-slider .slick-next:hover, {{WRAPPER}} .slider_active.slick-slider .slick-prev:hover' => 'color: {{VALUE}}',
        ],
      ]
    );
   

  // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'arrowss_hover_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slider_active.slick-slider .slick-next:hover, {{WRAPPER}} .slider_active.slick-slider .slick-prev:hover',
      ]
    );
	
	/* border_color */
	$this->add_control(
		'witr_border1_arr_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .slider_active.slick-slider .slick-next:hover, {{WRAPPER}} .slider_active.slick-slider .slick-prev:hover' => 'border-color: {{VALUE}}',
			],							
		]
	);
	
    $this->end_controls_tab();
    $this->end_controls_tabs();
	
    $this->end_controls_section();
  
  
  }

  /*===========Slider protected render start ============*/
  protected function render() {  
    $settings = $this->get_settings_for_display();
      ?>
      <?php
          if (!empty($settings['button_link']['url'])) {
            $this->add_link_attributes('button_link', $settings['button_link']);
          }
          $this->add_render_attribute(
            'slider_otp',
            [
              'id' => 'slider_otp-'. $this->get_id(),
              'data-arrow' => $settings['arrows'],
              'data-dot' => $settings['dot'],
              'data-slide_to_show' => $settings['slide_to_show'],
              'data-slide_to_scroll' => $settings['slide_to_scroll'],
              'data-autoplay_speed'		=> $settings['autoplay_speed'],
              'data-slide_reass_show'		=> $settings['slide_reass_show'],
              'data-slide_reas_show'		=> $settings['slide_reas_show'],
              'data-slide_rea_show'		=> $settings['slide_rea_show'],

            ]
          ); ?>
          <div class="slick_active" <?php echo $this->get_render_attribute_string('slider_otp'); ?> >
            <?php foreach ($settings['list'] as $slide) : ?>
              <?php if ($settings['slider_style'] === '1') : ?>
                <!--======== slider ========-->
               <div class="slider_bg" style="background-image: url(<?= $slide['list_image']['url'] ?>); background-position: <?= $slide['image_position'] ?> !important; background-repeat: <?= $slide['image_repeat'] ?> !important; object-fit: <?= $slide['bg_size'] ?> !important; ">
                  <div class="slider_position container">
                    <div class=" slider_text  <?= $slide['list_slider_style'] ?>">
                        <h1><?= $slide['top_title'] ?></h1>
                        <h2><?= $slide['list_main_title'] ?></h2>
                        <p><?= $slide['list_content_title'] ?></p>
                        <div class="tbd_sl_btn">
                          <a  class="tabtn" href= "<?php echo $slide['button_link'] ['url']; ?>" > <?= $slide['btn_txt'] ?></a>
                          <a  class="tabtn video-btn" href= "<?php echo $slide['video_button_link'] ['url']; ?>" >
                           <?= $slide['video_btn_txt'] ?> <i class="icofont-play-alt-2"></i></a>
                        </div>
                    </div>
                  </div>
                </div>
                <?php elseif ($settings['slider_style'] === '2') : ?>
                <!--======== slider style 02 ========-->
                <div class="slider_bg slider_2" style="background-image: url(<?= $slide['list_image']['url'] ?>);background-position: <?= $slide['image_position'] ?> !important; background-repeat: <?= $slide['image_repeat'] ?> !important;object-fit: <?= $slide['bg_size'] ?> !important; ">
                    <div class="slider_position container">
                       <div class=" slider_text  <?= $slide['list_slider_style'] ?>">
                            <h1><?= $slide['top_title'] ?></h1>
                            <h2><?= $slide['list_main_title'] ?></h2>
                            <p><?= $slide['list_content_title'] ?></p>
                            <div class="tbd_sl_btn">
                            <a  class="tabtn" href= "<?php echo $slide['button_link'] ['url']; ?>" > <?= $slide['btn_txt'] ?></a>
                            <?php if('yes' === $slide['show_button']): ?>
                          <a  class="tabtn video-btn" href= "<?php echo $slide['video_button_link'] ['url']; ?>" >
                           <?= $slide['video_btn_txt'] ?></a>
                           <?php endif ?>
                           <?php if('yes' === $slide['show_author']): ?>
                           <div class="slider_author">
                              <img class="left1_image" src="<?= $slide['author_image']['url'] ?>" alt="">
                              <div class="author_content">
                              <h3><?= $slide['author_title'] ?></h3>
                              <span><?= $slide['author_sub_title'] ?></span>
                              </div>
                            </div>
                            <?php endif ?>
                            </div>
                            <div class="animation_ds">
                              <img class="left1_image" src="<?= $slide['left_image']['url'] ?>" alt="">
                          </div>
                          </div>
                    </div>
                  </div>
                  <?php elseif ($settings['slider_style'] === '3') : ?>
                  <!--======== slider style 03 ========-->
                <div class="slider_bg slider_2" style="background-image: url(<?= $slide['list_image']['url'] ?>);background-position: <?= $slide['image_position'] ?> !important;background-repeat: <?= $slide['image_repeat'] ?> !important;
                    object-fit: <?= $slide['bg_size'] ?> !important;">
                  <div class="slider_position container">
                    <div class=" slider_text  <?= $slide['list_slider_style'] ?>">
                        <div class="slider_thumb">
                          <img class="left1_image" src="<?= $slide['left_image']['url'] ?>" alt="">
                        </div>
                        <div class="slider_text_content">
                          <h2><?= $slide['list_main_title'] ?></h2>
                          <p><?= $slide['list_content_title'] ?></p>
                          <div class="tbd_sl_btn">
                            <a  class="tabtn" href= "<?php echo $slide['button_link'] ['url']; ?>" > <?= $slide['btn_txt'] ?></a>
                          </div>
                      </div>
                  </div>
              </div>
            </div>
			      <?php endif ?>
           <?php endforeach ?>
         </div>

          <?php if (is_admin()) :
          if (!defined('ELEMENTOR_VERSION'))
           return;
         ?>

        <?php endif ?>

<?php
  }
}
