<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
}

/**
 * Testimonial Widget
 */

class Testimonial2_Widget extends \Elementor\Widget_Base {

  public function get_name() {
    return 'morat-Testimonial2';
  }
  public function get_title() {
    return esc_html__('Testimonial2 Carousel', 'Testimonial2-widget');
  }
  public function get_categories() {
    return ['basic'];
  }
  public function get_style_depends() {
    return ['main-style', 'slick'];
  }

  /** * Controls */
  protected function register_controls() {
	  
    // Content Section
    $this->start_controls_section(
      'content_section',
      [
        'label' => 'Content',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    $repeater = new \Elementor\Repeater();

		// testimonial slider Style
    $this->add_control(
      'testimonial_style',
      [
        'label' => esc_html__('slider Style', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => '1',
        'options' => [
          '1'  => esc_html__('Testimonial Style 01', 'mediquet'),
          '2'  => esc_html__('Testimonial Style 02', 'mediquet'),
          '3'  => esc_html__('Testimonial Style 03', 'mediquet'),
          '4'  => esc_html__('Testimonial Style 04', 'mediquet'),
          '5'  => esc_html__('Testimonial Style 05', 'mediquet'),
          '6'  => esc_html__('Testimonial Style 06', 'mediquet'),
        ],
      ]
    );
  // testimonial Alignment 
  	$this->add_responsive_control(
			'testimonial_align',
			[
				'label' => esc_html__( 'Alignment', 'elementor' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'left' => [
						'title' => esc_html__( 'Left', 'elementor' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'elementor' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => esc_html__( 'Right', 'elementor' ),
						'icon' => 'eicon-text-align-right',
					],
					'justify' => [
						'title' => esc_html__( 'Justified', 'elementor' ),
						'icon' => 'eicon-text-align-justify',
					],
				],
				'selectors' => [
					'{{WRAPPER}} .testi_text, {{WRAPPER}} .txt_testimonial_area' => 'text-align: {{VALUE}};',
				],
			]
		);

	  //  Title  
    $repeater->add_control(
      'middle_title',
      [
        'label' => esc_html__('Top Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Top Title Here', 'mediquet'),
      ]
    );
     // Top Title 
     $repeater->add_control(
      'top_title',
      [
        'label' => esc_html__('Author Top Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Top Title Here', 'mediquet'),
      ]
    );
    // Main Title
    $repeater->add_control(
      'list_main_title',
      [
        'label' => esc_html__('Author sub Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Main tile', 'mediquet'),
        'label_block' => true,
      ]
    );
    // Show Img 
    $repeater->add_control(
      'show_left_img',
      [
        'label' => esc_html__( 'Show img', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SWITCHER,
        'label_on' => esc_html__( 'Show', 'your-plugin' ),
        'label_off' => esc_html__( 'Hide', 'your-plugin' ),
        'return_value' => 'yes',
        'default' => 'no',
      ]
    );
      // testimonials Author Image
      $repeater->add_control(
        'img_left',
        [
          'label' => esc_html__('testimonial Image', 'mediquet'),
          'type' => \Elementor\Controls_Manager::MEDIA,
          'default' => [
            'url' => \Elementor\Utils::get_placeholder_image_src(),
          ],
          'condition' => [
            'show_left_img' => 'yes',
          ],
        ]
      );
	  // content Title
    $repeater->add_control(
      'list_content_title',
      [
        'label' => esc_html__('Content Title ', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Choosing this team for our website design was one of the best decisions we ve made.
         The site is visually stunning, easy to navigate, and performs flawlessly. Their attention to detail and creativity
          exceeded our expectations.', 'mediquet'),
        'label_block' => true,
      ]
    );
    // Show Img 
  $repeater->add_control(
    'show_img',
    [
      'label' => esc_html__( 'Show img', 'mediquet' ),
      'type' => \Elementor\Controls_Manager::SWITCHER,
      'label_on' => esc_html__( 'Show', 'your-plugin' ),
      'label_off' => esc_html__( 'Hide', 'your-plugin' ),
      'return_value' => 'yes',
      'default' => 'yes',
    ]
  );
	  // testimonials Author Image
    $repeater->add_control(
      'testimonial_author',
      [
        'label' => esc_html__('testimonial Image', 'mediquet'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
          'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
        'condition' => [
          'show_img' => 'yes',
        ],
      ]
    );
    // testimonials List
    $this->add_control(
      'list',
      [
        'label' => esc_html__('Slider List', 'mediquet'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $repeater->get_controls(),
        
        'default' => [
          [
            'top_title' => esc_html__('Top title', 'mediquet'),
            'list_main_title' => esc_html__('Main title #1', 'mediquet'),
            'list_sub_title' => esc_html__('Item content. Click the edit button to change this text.', 'mediquet'),

            
          ],
          [
            'list_main_title' => esc_html__('Main title #2', 'mediquet'),
            'list_sub_title' => esc_html__('Item content. Click the edit button to change this text.', 'mediquet'),
			      'list_subs_title' => esc_html__('List Sub Title', 'mediquet'),
          ],
        ],
        'title_field' => '{{{ top_title }}}',
      ]
    );
	// Show Icon 
  $this->add_control(
    'show_icon',
    [
      'label' => esc_html__( 'Show Start', 'mediquet' ),
      'type' => \Elementor\Controls_Manager::SWITCHER,
      'label_on' => esc_html__( 'Show', 'your-plugin' ),
      'label_off' => esc_html__( 'Hide', 'your-plugin' ),
      'return_value' => 'yes',
      'default' => 'yes',
    ]
  );

    $this->end_controls_section();


    /**============ * testimonial carousel Settings ==========*/

    // settings Content Section
    $this->start_controls_section(
      'settings_section',
      [
        'label' => 'Slider Settings',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    // Auto Play
    $this->add_control(
      'auto_play',
      [
        'label' => esc_html__('Auto Play', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    // Speed
    $this->add_control(
      'speed',
      [
        'label' => esc_html__('Speed', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );
    // AutoPlay Speed
    $this->add_control(
      'autoplay_speed',
      [
        'label' => esc_html__('Autoplay Speed', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );
    // Slide To Show
    $this->add_control(
      'slide_to_show',
      [
        'label' => esc_html__('Slide To Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 2,
      ]
    ); 
    // Slide To Scroll
    $this->add_control(
      'slide_to_scroll',
      [
        'label' => esc_html__('Slide To Scroll', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );
    // Dot
    $this->add_control(
      'dot',
      [
        'label' => esc_html__('Dot', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'false',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    // Arrows
    $this->add_control(
      'arrow',
      [
        'label' => esc_html__('Arrows', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    // Infinite
    $this->add_control(
      'infinite',
      [
        'label' => esc_html__('Infinite', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    // Arrows
    $this->add_control(
      'slider_centermode',
      [
        'label' => esc_html__('centerMode', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'false',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

/* feature title witr_feature_title */	
$this->add_control(
  'slider_unicid',
  [
    'label' => esc_html__( 'Use Unic ID', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::TEXTAREA,
    'description' => esc_html__( 'Please use a unic ID here, ex- any text.', 'mediquet' ),
    'default' => 'id2',
    'placeholder' => esc_attr__( 'Type your ID here', 'mediquet' ),							
  ]
);	

    $this->end_controls_section();

	  // Testimonial Responsive Section
    $this->start_controls_section(
      'responsive_section',
      [
        'label' => 'Responsive Settings',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );
		// Testimonial carousel To Show
    $this->add_control(
      'slide_rea_show',
      [
        'label' => esc_html__('Mobel Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 2,
      ]
    );
	  // carousel Responsive To Show
    $this->add_control(
      'slide_reas_show',
      [
        'label' => esc_html__('Tablet Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 2,
      ]
    );
	  // carousel Responsive To Show
    $this->add_control(
      'slide_reass_show',
      [
        'label' => esc_html__('Desktop Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );
	
    $this->end_controls_section();
	
	
    /**=================* Testimonial Box Style =================*/
	 
	 
	  // Testimonial Box Style
    $this->start_controls_section(
      'box_style',
      [
        'label' => 'Box Color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
  	// Testimonial Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'testi_boxs_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .testi_text, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .txt_testimonial_area ',
      ]
    );
	  // Testimonial Box Padding 
    $this->add_responsive_control(
      'testi_box_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_text, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .txt_testimonial_area ' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    // Testimonial Box Margin
    $this->add_responsive_control(
      'testi_box_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_text, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .txt_testimonial_area ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    /* Testimonial box shadow */	
    $this->add_group_control(
      \Elementor\Group_Control_Box_Shadow::get_type(),
      [
        'name' => 'witr_box_shadowsbox',
        'label' => esc_html__( 'Box Shadow', 'mediquet' ),
        'selector' => '{{WRAPPER}} .testi_text, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .txt_testimonial_area ',
      ]
    ); 
	  /* witr_border_style */
    $this->add_control(
      'box_border',
      [
        'label' => esc_html__( 'Border Style', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SELECT,
        'options' => [
          'none' => esc_html__( 'none', 'mediquet' ),
          'solid' => esc_html__( 'Solid', 'mediquet' ),
          'double' => esc_html__( 'Double', 'mediquet' ),
          'dotted' => esc_html__( 'Dotted', 'mediquet' ),
          'dashed' => esc_html__( 'Dashed', 'mediquet' ),
          'default' => esc_html__( 'Default', 'mediquet' ),
        ],
        'default' => 'none',
        'selectors' => [
          '{{WRAPPER}} .testi_text, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .txt_testimonial_area ' => 'border-style: {{VALUE}}',
        ],
      ]
    );		
	/* Testimonial Box border */
	$this->add_control(
		'box_bods_style',
		[
			'label' => esc_html__( 'Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'selectors' => [
				 '{{WRAPPER}} .testi_text, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .txt_testimonial_area ' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'box_border' => ['solid','double','dotted','dashed'],
			],								
		]
	);
	/* border_color */
	$this->add_control(
		'boxs_border1_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .testi_text, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .txt_testimonial_area ' => 'border-color: {{VALUE}}',
			],
			'condition' => [
				'box_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);
	/* border_radius */
	$this->add_control(
		'testi_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .testi_text, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .txt_testimonial_area ' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);
	 /* border_color */
	$this->add_control(
		'border1_hover_color',
		[
			'label' => esc_html__( 'Border Hover Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .testi_text:hover ' => 'border-color: {{VALUE}}',
			],
		]
	);
   // Testimonial Heading
  $this->add_control(
    'after-before',
    [
      'label' => esc_html__( 'After Before Options', 'textdomain' ),
      'type' => \Elementor\Controls_Manager::HEADING,
      'separator' => 'before',
    ]
  );
  // Testimonial Before Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'testi_before_background',
        'label' => esc_html__('Before Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .txt_testimonial_area.testi_style_02::before ',
      ]
    );
  // Testimonial After Background  
  $this->add_group_control(
    \Elementor\Group_Control_Background::get_type(),
    [
      'name' => 'testi_after_background',
      'label' => esc_html__('After Background', 'mediquet'),
      'types' => ['classic', 'gradient'],
      'selector' => '{{WRAPPER}} .txt_testimonial_area.testi_style_02::after ',
    ]
  );

	$this->add_control(
    'after-border-style',
    [
      'label' => esc_html__( 'After Border Style', 'mediquet' ),
      'type' => \Elementor\Controls_Manager::SELECT,
      'options' => [
        'none' => esc_html__( 'none', 'mediquet' ),
        'solid' => esc_html__( 'Solid', 'mediquet' ),
        'double' => esc_html__( 'Double', 'mediquet' ),
        'dotted' => esc_html__( 'Dotted', 'mediquet' ),
        'dashed' => esc_html__( 'Dashed', 'mediquet' ),
        'default' => esc_html__( 'Default', 'mediquet' ),
      ],
      'default' => 'none',
      'selectors' => [
        '{{WRAPPER}} .txt_testimonial_area.testi_style_02::after ' => 'border-style: {{VALUE}}',
      ],
    ]
  );		
/* Testimonial After border */
$this->add_control(
  'after_bods_style',
  [
    'label' => esc_html__( 'Width', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::DIMENSIONS,
    'selectors' => [
       '{{WRAPPER}} .txt_testimonial_area.testi_style_02::after ' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
    ],
    'condition' => [
      'after-border-style' => ['solid','double','dotted','dashed'],
    ],								
  ]
);
/* border_color */
$this->add_control(
  'after_border1_color',
  [
    'label' => esc_html__( 'Border Color', 'mediquet' ),
    'type' =>  \Elementor\Controls_Manager::COLOR,
    
    'selectors' => [
      '{{WRAPPER}} .txt_testimonial_area.testi_style_02::after ' => 'border-color: {{VALUE}}',
    ],
    'condition' => [
      'after-border-style' => ['solid','double','dotted','dashed','default'],
    ],								
  ]
);


 // Testimonial Heading
 $this->add_control(
  'center_mode_style',
  [
    'label' => esc_html__( 'center mode Options', 'textdomain' ),
    'type' => \Elementor\Controls_Manager::HEADING,
    'separator' => 'before',
  ]
);
// Testimonial Before Background  
  $this->add_group_control(
    \Elementor\Group_Control_Background::get_type(),
    [
      'name' => 'center_mode_before_background',
      'label' => esc_html__('center Before Background', 'mediquet'),
      'types' => ['classic', 'gradient'],
      'selector' => '{{WRAPPER}} .slick-current.slick-center .txt_testimonial_area.testi_style_02::before ',
    ]
  );
// Testimonial After Background  
$this->add_group_control(
  \Elementor\Group_Control_Background::get_type(),
  [
    'name' => 'center_mode_after_background',
    'label' => esc_html__('center  After Background', 'mediquet'),
    'types' => ['classic', 'gradient'],
    'selector' => '{{WRAPPER}} .slick-current.slick-center .txt_testimonial_area.testi_style_02::after ',
  ]
);

$this->add_control(
  'after-center-mode',
  [
    'label' => esc_html__( 'After Border Style', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::SELECT,
    'options' => [
      'none' => esc_html__( 'none', 'mediquet' ),
      'solid' => esc_html__( 'Solid', 'mediquet' ),
      'double' => esc_html__( 'Double', 'mediquet' ),
      'dotted' => esc_html__( 'Dotted', 'mediquet' ),
      'dashed' => esc_html__( 'Dashed', 'mediquet' ),
      'default' => esc_html__( 'Default', 'mediquet' ),
    ],
    'default' => 'none',
    'selectors' => [
      '{{WRAPPER}} .slick-current.slick-center .txt_testimonial_area.testi_style_02::after ' => 'border-style: {{VALUE}}',
    ],
  ]
);		
/* Testimonial After border */
$this->add_control(
'center_after_bods_style',
[
  'label' => esc_html__( 'Width', 'mediquet' ),
  'type' => \Elementor\Controls_Manager::DIMENSIONS,
  'selectors' => [
     '{{WRAPPER}} .slick-current.slick-center .txt_testimonial_area.testi_style_02::after ' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
  ],
  'condition' => [
    'after-center-mode' => ['solid','double','dotted','dashed'],
  ],								
]
);

/* border_color */
$this->add_control(
  'center_after_border1_color',
  [
    'label' => esc_html__( 'Border Color', 'mediquet' ),
    'type' =>  \Elementor\Controls_Manager::COLOR,
    
    'selectors' => [
      '{{WRAPPER}} .slick-current.slick-center .txt_testimonial_area.testi_style_02::after ' => 'border-color: {{VALUE}}',
    ],
    'condition' => [
      'after-center-mode' => ['solid','double','dotted','dashed','default'],
    ],								
  ]
);
	/* border_radius */
	$this->add_control(
		'testi_center_mode_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .slick-current.slick-center .txt_testimonial_area.testi_style_02::after ' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);

	$this->end_controls_section();


  // Testimonial Author Style
  $this->start_controls_section(
    'author_box_style',
    [
      'label' => 'Author Box Option',
      'tab' => \Elementor\Controls_Manager::TAB_STYLE
    ]
  );
  // Testimonial Author Background  
  $this->add_group_control(
    \Elementor\Group_Control_Background::get_type(),
    [
      'name' => 'author_boxs_background',
      'label' => esc_html__('Background', 'mediquet'),
      'types' => ['classic', 'gradient'],
      'selector' => '{{WRAPPER}} .testi_thumb_author',
    ]
  );
  // Testimonial Author Padding 
  $this->add_responsive_control(
    'author_box_padding',
    [
      'label' => 'Padding',
      'type' => \Elementor\Controls_Manager::DIMENSIONS,
      'size_units' => ['px', 'em', '%'],
      'selectors' => [
        '{{WRAPPER}} .testi_thumb_author' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
      ],
      'separator' => 'before',
    ]
  );
  // Testimonial Box Margin
  $this->add_responsive_control(
    'author_box_margin',
    [
      'label' => 'Margin',
      'type' => \Elementor\Controls_Manager::DIMENSIONS,
      'size_units' => ['px', 'em', '%'],
      'selectors' => [
        '{{WRAPPER}} .testi_thumb_author ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
      ],
      'separator' => 'before',
    ]
  );
  /* Testimonial box shadow */	
  $this->add_group_control(
    \Elementor\Group_Control_Box_Shadow::get_type(),
    [
      'name' => 'author_box_shadowsbox',
      'label' => esc_html__( 'Box Shadow', 'mediquet' ),
      'selector' => '{{WRAPPER}} .testi_thumb_author ',
    ]
  ); 
  /* witr_border_style */
  $this->add_control(
    'author_box_border',
    [
      'label' => esc_html__( 'Border Style', 'mediquet' ),
      'type' => \Elementor\Controls_Manager::SELECT,
      'options' => [
        'none' => esc_html__( 'none', 'mediquet' ),
        'solid' => esc_html__( 'Solid', 'mediquet' ),
        'double' => esc_html__( 'Double', 'mediquet' ),
        'dotted' => esc_html__( 'Dotted', 'mediquet' ),
        'dashed' => esc_html__( 'Dashed', 'mediquet' ),
        'default' => esc_html__( 'Default', 'mediquet' ),
      ],
      'default' => 'none',
      'selectors' => [
        '{{WRAPPER}} .testi_thumb_author' => 'border-style: {{VALUE}}',
      ],
    ]
  );		
/* Testimonial Box border */
$this->add_control(
  'author_box_bods_style',
  [
    'label' => esc_html__( 'Width', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::DIMENSIONS,
    'selectors' => [
       '{{WRAPPER}} .testi_thumb_author' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
    ],
    'condition' => [
      'author_box_border' => ['solid','double','dotted','dashed'],
    ],								
  ]
);
/* border_color */
$this->add_control(
  'author_border1_color',
  [
    'label' => esc_html__( 'Border Color', 'mediquet' ),
    'type' =>  \Elementor\Controls_Manager::COLOR,
    
    'selectors' => [
      '{{WRAPPER}} .testi_thumb_author' => 'border-color: {{VALUE}}',
    ],
    'condition' => [
      'author_box_border' => ['solid','double','dotted','dashed','default'],
    ],								
  ]
);
/* border_radius */
$this->add_control(
  'author_testi_radius',
  [
    'label' => esc_html__( 'Border Radius', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::DIMENSIONS,
    'size_units' => [ 'px', '%' ],
    'selectors' => [
      '{{WRAPPER}} .testi_thumb_author' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
    ],							
  ]
);



$this->end_controls_section();
	 

  // Testimonial Top Heading Style
  $this->start_controls_section(
    'top_heading_style',
    [
      'label' => 'Top Heading',
      'tab' => \Elementor\Controls_Manager::TAB_STYLE
    ]
  );
  // Testimonial Main Heading Typography
  $this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
      'name' => 'top_heading_typography',
      'selector' => '{{WRAPPER}} .testi_text h2',
    ]
  );

    // Testimonial Main Heading Color
    $this->add_control(
      'top_heading_color',
      [
        'label' => esc_html__('Heading  Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .testi_text h2' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Heading Padding
    $this->add_responsive_control(
      'top_heading_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_text h2' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    // Main Title Margin
    $this->add_responsive_control(
      'top_heading_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_text h2' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    $this->end_controls_section();

  // Testimonial Top Title Style
  $this->start_controls_section(
    'main_top_title_style',
    [
      'label' => 'Top Title',
      'tab' => \Elementor\Controls_Manager::TAB_STYLE
    ]
  );
  // Testimonial Main Title Typography
  $this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
      'name' => 'testi_top_title_typography',
      'selector' => '{{WRAPPER}} .testi_content h1, {{WRAPPER}} .testi_title h1',
    ]
  );

    // Testimonial Main Title Color
    $this->add_control(
      'main_top_title_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .testi_content h1, {{WRAPPER}} .testi_title h1' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'main_top_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_content h1, {{WRAPPER}} .testi_title h1' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    // Main Title Margin
    $this->add_responsive_control(
      'main_top_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_content h1, {{WRAPPER}} .testi_title h1' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    $this->end_controls_section();
	 
	 
    // Testimonial Title Style
    $this->start_controls_section(
      'testi_sub_title_style',
      [
        'label' => 'Sub Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_title_typography',
        'selector' => '{{WRAPPER}} .testi_content h2, {{WRAPPER}} .testi_title span, {{WRAPPER}} .testi_author_title span',
      ]
    );
    // Main Title Color
    $this->add_control(
      'testi_sub_title_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .testi_content h2, {{WRAPPER}} .testi_title span, {{WRAPPER}} .testi_author_title span' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'testi_sub_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_content h2, {{WRAPPER}} .testi_title span, {{WRAPPER}} .testi_author_title span' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'testi_sub_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_content h2, {{WRAPPER}} .testi_title span, {{WRAPPER}} .testi_author_title span' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    $this->end_controls_section();

    // Testimonial content Title Style
    $this->start_controls_section(
      'sub_title_style',
      [
        'label' => 'Content Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
    // Testimonial content  Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'content_title_typography',
        'selector' => '{{WRAPPER}} .testi_text p, {{WRAPPER}} .testimonial_content p, {{WRAPPER}} .testimonial_content_area p',
      ]
    );
	  // Testimonial content Width
    $this->add_responsive_control(
      'content_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .testi_text p, {{WRAPPER}} .testimonial_content p, {{WRAPPER}} .testimonial_content_area p' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
    // Main Title Color
    $this->add_control(
      'content_title_color',
      [
        'label' => esc_html__('content Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .testi_text p, {{WRAPPER}} .testimonial_content p, {{WRAPPER}} .testimonial_content_area p' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'main_content_padding',
      [
        'label' => 'content Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_text p, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .testimonial_content_area' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	 // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'content_background',
        'label' => esc_html__('background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => ' {{WRAPPER}} .testimonial_content, {{WRAPPER}} .testimonial_content_area',
      ]
    );
    // Main Title Margin
    $this->add_responsive_control(
      'main_content_margin',
      [
        'label' => 'content Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .testi_text p, {{WRAPPER}} .testimonial_content, {{WRAPPER}} .testimonial_content_area ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
     /* content_border_style */
	$this->add_control(
		'content_border',
		[
			'label' => esc_html__( 'Border Style', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'options' => [
				'none' => esc_html__( 'none', 'mediquet' ),
				'solid' => esc_html__( 'Solid', 'mediquet' ),
				'double' => esc_html__( 'Double', 'mediquet' ),
				'dotted' => esc_html__( 'Dotted', 'mediquet' ),
				'dashed' => esc_html__( 'Dashed', 'mediquet' ),
				'default' => esc_html__( 'Default', 'mediquet' ),
			],
			'default' => 'none',
			'selectors' => [
				 '{{WRAPPER}} .stxt_content_content, {{WRAPPER}} .testimonial_content_area' => 'border-style: {{VALUE}}',
			],
		]
	);		
	/* witr border */
	
	$this->add_control(
		'content_bods_style',
		[
			'label' => esc_html__( 'Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'selectors' => [
				 '{{WRAPPER}} .stxt_content_content, {{WRAPPER}} .testimonial_content_area' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'content_border' => ['solid','double','dotted','dashed'],
			],								
		]
	);
	/* border_color */
	$this->add_control(
		'content_border1_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .stxt_content_content, {{WRAPPER}} .testimonial_content_area' => 'border-color: {{VALUE}}',
			],
			'condition' => [
				'content_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);
    $this->end_controls_section();
	
	
	 // Testimonial sub Title Style
    $this->start_controls_section(
      'testimonial_star_style',
      [
        'label' => 'Testimonial Star',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'testi_star_typography',
        'selector' => '{{WRAPPER}} .star_icon i',
      ]
    );
    // Main Title Color
    $this->add_control(
      'testi_star_color',
      [
        'label' => esc_html__('Star Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}}  .star_icon i' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'test_star_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}}  .star_icon' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    // Main Title Margin
    $this->add_responsive_control(
      'tesss_star_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}}  .star_icon' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    $this->end_controls_section();

	 /**============ * Arrow Style Section  =========== */
    $this->start_controls_section(
      'Arrow_style',
      [
        'label' => 'Arrow Options',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
		'condition' => [
			'arrows' => 'true',
		],	
      ]
    );
    $this->start_controls_tabs(
      'slider_arrow_style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'testimonial_arrow_tab',
      [
        'label' => esc_html__('Normal', 'mediquet'),
      ]
    );

    // Color
    $this->add_control(
      'testimonial_arrow_color',
      [
        'label' => esc_html__('Arrow Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slick-prev:before, {{WRAPPER}} .slick-next:before' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'testimonial_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next',
      ]
    );
	
	// Arrow Width
		$this->add_responsive_control(
		  'testimonial_arrow_font_size',
		  [
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => esc_html__('font size', 'mediquet'),
			'size_units' => ['px'],
			'range' => [
			  'px' => [
				'min' => 0,
				'max' => 500,
			  ],
			  '%' => [
				'min' => 0,
				'max' => 100
			  ]
			],
			'selectors' => [
			  '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'font-size: {{SIZE}}{{UNIT}};',
			],
		  ]
		);
	
	// Arrow Width
    $this->add_responsive_control(
      'testimonial_arrow_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// Arrow height
    $this->add_responsive_control(
      'testimonial_arrow_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// Arrow height
    $this->add_responsive_control(
      'testimonial_arrow_line-height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	
	/* arrow Opacity */
		$this->add_responsive_control(
			'testimonial_arrow_opacity',
			[
				'label' => esc_html__( 'Arrow Opacity', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'selectors' => [
					'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'opacity: {{SIZE}}{{UNIT}};',
				],
			]
		);	
	
		/* witr_border_style */
			$this->add_control(
				'testimonial_arrow_border',
				[
					'label' => esc_html__( 'Border Style', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'options' => [
						'none' => esc_html__( 'none', 'mediquet' ),
						'solid' => esc_html__( 'Solid', 'mediquet' ),
						'double' => esc_html__( 'Double', 'mediquet' ),
						'dotted' => esc_html__( 'Dotted', 'mediquet' ),
						'dashed' => esc_html__( 'Dashed', 'mediquet' ),
						'default' => esc_html__( 'Default', 'mediquet' ),
					],
					'default' => 'none',
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-style: {{VALUE}}',
					],
				]
			);		
			/* witr border */
			$this->add_control(
				'testimonial_arrow_btn_style',
				[
					'label' => esc_html__( 'Width', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed'],
					],								
				]
			);
			/* border_color */
			$this->add_control(
				'testimonial_border1_btn_color',
				[
					'label' => esc_html__( 'Border Color', 'mediquet' ),
					'type' =>  \Elementor\Controls_Manager::COLOR,
					
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-color: {{VALUE}}',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);
			/* border_radius */
			$this->add_control(
				'testimonial_arrow_radius',
				[
					'label' => esc_html__( 'Border Radius', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px', '%' ],
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);

			/* witr_icon_top */
			$this->add_responsive_control(
				'testimonial_arrow_top',
				[
					'label' => esc_html__( 'Arrow Top', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-next , {{WRAPPER}} .slick-slider .slick-prev' => 'top: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// Left
			$this->add_responsive_control(
				'testimonial_arrow_Left',
				[
					'label' => esc_html__( 'Arrow Left', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev' => 'left: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// right
			$this->add_responsive_control(
				'testimonial_arrow_right',
				[
					'label' => esc_html__( 'Arrow right', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-next ' => 'right: {{SIZE}}{{UNIT}};',
					],
				]
			);
		
	
    $this->end_controls_tab();

	
	
    // Hover Tab
    $this->start_controls_tab(
      'testimonial_style_hover_tab',
      [
        'label' => esc_html__('Hover', 'mediquet'),
      ]
    );

	
    // Color
    $this->add_control(
      'testimonial_arrow_color_hover',
      [
        'label' => esc_html__('Arrow Color Hover', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover' => 'color: {{VALUE}}',
        ],
      ]
    );
   

  // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'testimonial_arrow_hover_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover',
      ]
    );
	
	/* border_color */
	$this->add_control(
		'testimonial_border1_arr_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover' => 'border-color: {{VALUE}}',
			],							
		]
	);
	
    $this->end_controls_tab();

    $this->end_controls_tabs();

	
    $this->end_controls_section();




 // Testimonial Images  Style
 $this->start_controls_section(
  'image_style',
  [
    'label' => 'Images Option',
    'tab' => \Elementor\Controls_Manager::TAB_STYLE
  ]
);

// Testimonial content Width
$this->add_responsive_control(
  'image_width',
  [
    'type' => \Elementor\Controls_Manager::SLIDER,
    'label' => esc_html__('Width', 'mediquet'),
    'size_units' => ['px', '%'],
    'range' => [
      'px' => [
        'min' => 0,
        'max' => 500,
      ],
      '%' => [
        'min' => 0,
        'max' => 100
      ]
    ],
    'selectors' => [
      '{{WRAPPER}} .testimonial_left_thumb img' => 'width: {{SIZE}}{{UNIT}};',
    ],
  ]
);	


 // images_position
 $this->add_responsive_control(
  'images_position',
  [
    'label' => esc_html__( 'Position', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::SELECT,
    'default' => '',
    'options' => [
      '' => esc_html__( 'Default', 'mediquet' ),
      'absolute' => esc_html__( 'Absolute', 'mediquet' ),
      'fixed' => esc_html__( 'Fixed', 'mediquet' ),
      'inherit' => esc_html__( 'inherit', 'mediquet' ),
    ],
    'selectors' => [
          '{{WRAPPER}} .testimonial_left_thumb img' => 'position: {{VALUE}};',
        ],
  ]
);
/* witr_images_top */
$this->add_responsive_control(
  'witr_images_top',
  [
    'label' => esc_html__( 'Icon Top', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::SLIDER,
    'size_units' => [ 'px', '%' ],
    'range' => [
      'px' => [
        'min' => -100,
        'max' => 500,
      ],
      '%' => [
        'min' => -100,
        'max' => 100,
      ],		
    ],
    'condition' => [
      'images_position' => ["absolute","fixed"],
    ],						
    'selectors' => [
      '{{WRAPPER}} .testimonial_left_thumb img' => 'top: {{SIZE}}{{UNIT}};',
    ],
  ]
);
/* witr_icon_left */
$this->add_responsive_control(
  'witr_images_left',
  [
    'label' => esc_html__( 'Icon Left', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::SLIDER,
    'size_units' => [ 'px', '%' ],
    'range' => [
      'px' => [
        'min' => -100,
        'max' => 500,
      ],
      '%' => [
        'min' => -100,
        'max' => 100,
      ],	
    ],
    'condition' => [
      'images_position' => ["absolute","fixed"],
    ],						
    'selectors' => [
      '{{WRAPPER}} .testimonial_left_thumb img' => 'left: {{SIZE}}{{UNIT}};',
    ],
  ]
);	


// Images Padding
$this->add_responsive_control(
  'img_padding',
  [
    'label' => 'content Padding',
    'type' => \Elementor\Controls_Manager::DIMENSIONS,
    'size_units' => ['px', 'em', '%'],
    'selectors' => [
      '{{WRAPPER}} .testimonial_left_thumb img' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
    ],
    'separator' => 'before',
  ]
);

$this->end_controls_section();










	
  }


  /*=========== protected render start ============*/

  protected function render() {
    $settings = $this->get_settings_for_display();
    ?>
    <?php
      if (!empty($settings['button_link']['url'])) {
        $this->add_link_attributes('button_link', $settings['button_link']);
      }
      $this->add_render_attribute(
			'testimonial_opt',
			[
				'id' => 'testimonial_opt-'. $this->get_id(),
				'data-arrow' => $settings['arrow'],
				'data-dot' => $settings['dot'],
				'data-slide_to_show' => $settings['slide_to_show'],
				'data-slide_to_scroll' => $settings['slide_to_scroll'],
				'data-autoplay_speed'		=> $settings['autoplay_speed'],
        'data-slide_reass_show'		=> $settings['slide_reass_show'],
        'data-slide_reas_show'		=> $settings['slide_reas_show'],
        'data-slide_rea_show'		=> $settings['slide_rea_show'],
        'data-slider_centermode'		=> $settings['slider_centermode'], 
        'data-slider_unicid'		=> $settings['slider_unicid'],
			]
      
		); ?>

		<div class="slick_active" <?php echo $this->get_render_attribute_string('testimonial_opt'); ?> >
    <?php foreach ($settings['list'] as $slide) : ?>
      <!--======== testimonial Style 01 ========-->
      <?php if ($settings['testimonial_style'] == '1') : ?>
        <div class="col-lg-12">
          <div class="txt_testimonial_area testi_style_02 ">
            <div class=" testi_text">
              <div class="star_icon">
                  <i class="icofont-star"></i>
                  <i class="icofont-star"></i>
                  <i class="icofont-star"></i>
                  <i class="icofont-star"></i>
                  <i class="icofont-star"></i>
              </div>
              <h2><?= $slide['middle_title'] ?></h2>
              <p><?= $slide['list_content_title'] ?></p>
              <div class="testi_author_content">
              <div class="testi_content">
                  <div class="testi_author">
                    <img class="left1_image" src="<?= $slide['testimonial_author']['url'] ?>" alt="">
                  </div>
                  <div class="testi_author_title">
                    <h1><?= $slide['top_title'] ?></h1>
                    <span><?= $slide['list_main_title'] ?></span>
                  </div>
                  </div>
              </div>
            </div>
          </div>
        </div>
        <!--======== testimonial Style 02 ========-->
        <?php elseif ($settings['testimonial_style'] === '2') : ?>
        <div class="col-lg-12">
          <div class="txt_testimonial_area testimonial_style_02">
            <div class="testimonial_box_area">
              <div class="testi_content ">
                <div class="testi_icon_area">
                  <div class="quote_icon">
                    <i class="icofont-quote-right"></i>
                  </div>
                </div>
                <div class="testi_thumb_content_flex">
                  <div class="testi_thumb">
                    <img class="left1_image" src="<?= $slide['testimonial_author']['url'] ?>" alt="">
                  </div>
                  <div class="testi_title">
                    <h1><?= $slide['top_title'] ?></h1>
                    <span><?= $slide['list_main_title'] ?></span>
                  </div>
                </div>
              </div>
              <div class="testimonial_content">
                <p><?= $slide['list_content_title'] ?></p>
                <div class="star_icon">
                  <i class="icofont-star"></i>
                  <i class="icofont-star"></i>
                  <i class="icofont-star"></i>
                  <i class="icofont-star"></i>
                  <i class="icofont-star"></i>
                  </div>
              </div>
              </div>
              
          </div>
        </div>
        <!--======== testimonial Style 03 ========-->
        <?php elseif ($settings['testimonial_style'] === '3') : ?>
        <div class="col-lg-12">
        <div class=" testimonial_all">
        <?php if('yes' === $slide['show_left_img']): ?>
              <div class="testimonial_left_thumb">
                 <img  src="<?= $slide['img_left']['url'] ?>" alt="">
              </div>
              <?php endif ?>
             <div class="txt_testimonial_area testimonial_style_03">
                <div class="testimonial_content_area">
                <i class="icofont-quote-left"></i>
                <p><?= $slide['list_content_title'] ?></p>
                <?php if('yes' === $settings['show_icon']): ?>
                  <div class="star_icon">
                    <i class="icofont-star"></i>
                    <i class="icofont-star"></i>
                    <i class="icofont-star"></i>
                    <i class="icofont-star"></i>
                    <i class="icofont-star"></i>
                    </div>
                    <?php endif ?>
                </div>
                <div class="testi_author_area ">
                <div class="testi_thumb_author ">
                  <?php if('yes' === $slide['show_img']): ?>
                  <img class="left1_image" src="<?= $slide['testimonial_author']['url'] ?>" alt="">
                  <?php endif ?>
                    <div class="testi_title">
                      <h1><?= $slide['top_title'] ?></h1>
                      <span><?= $slide['list_main_title'] ?></span>
                    </div>
                    </div>
                </div>
            </div>
          </div>
        </div>
         <!--======== testimonial Style 04 ========-->
         <?php elseif ($settings['testimonial_style'] === '4') : ?>
        <div class="col-lg-12">
          <div class="testimonial_area">
        <div class="txt_testimonial_area testimonial_style_04">
          <div class="quote_content">
             <h2><?= $slide['middle_title'] ?></h2>
             <div class="quote_icon"> 
             <i class="icofont-quote-right"></i>
             </div>
             </div>
              <div class="testimonial_content_area">
                <p><?= $slide['list_content_title'] ?></p>
              </div>
              <div class="testi_author_area ">
              <div class="testi_thumb_author ">
                <?php if('yes' === $slide['show_img']): ?>
                 <img class="left1_image" src="<?= $slide['testimonial_author']['url'] ?>" alt="">
                <?php endif ?>
                  <div class="testi_title">
                    <h1><?= $slide['top_title'] ?></h1>
                    <span><?= $slide['list_main_title'] ?></span>
                  </div>
                  </div>
              </div>
           </div>
        </div>
        </div>
         <!--======== testimonial Style 04 ========-->
         <?php elseif ($settings['testimonial_style'] === '5') : ?>
        <div class="col-lg-12">
        <div class="txt_testimonial_area testimonial_style_04 testi_5">
              <div class="testimonial_content_area">
                <p><?= $slide['list_content_title'] ?></p>
              </div>
              <div class="testi_author_area ">
              <div class="testi_thumb_author ">
                <?php if('yes' === $slide['show_img']): ?>
                 <img class="left1_image" src="<?= $slide['testimonial_author']['url'] ?>" alt="">
                <?php endif ?>
                  <div class="testi_title">
                    <h1><?= $slide['top_title'] ?></h1>
                    <span><?= $slide['list_main_title'] ?></span>
                  </div>
                  </div>
              </div>
           </div>
        </div>
                  <!--======== testimonial Style 06========-->
        <?php elseif ($settings['testimonial_style'] === '6') : ?>
        <div class="col-lg-12">
        <div class=" testimonial_all testimonial_style_06">
        <?php if('yes' === $slide['show_left_img']): ?>
              <div class="testimonial_left_thumb">
                 <img  src="<?= $slide['img_left']['url'] ?>" alt="">
              </div>
              <?php endif ?>
             <div class="txt_testimonial_area testimonial_style_03">
                <div class="testimonial_content_area">
                <i class="icofont-quote-left"></i>
                <p><?= $slide['list_content_title'] ?></p>
                <?php if('yes' === $settings['show_icon']): ?>
                  <div class="star_icon">
                    <i class="icofont-star"></i>
                    <i class="icofont-star"></i>
                    <i class="icofont-star"></i>
                    <i class="icofont-star"></i>
                    <i class="icofont-star"></i>
                    </div>
                    <?php endif ?>
                </div>
              </div>
              <div class="testi_author_area ">
                <div class="testi_thumb_author ">
                  <?php if('yes' === $slide['show_img']): ?>
                  <img class="left1_image" src="<?= $slide['testimonial_author']['url'] ?>" alt="">
                  <?php endif ?>
                    <div class="testi_title">
                      <h1><?= $slide['top_title'] ?></h1>
                      <span><?= $slide['list_main_title'] ?></span>
                    </div>
                    </div>
                </div>
            </div>
            </div>        
            <?php endif ?>
            <?php endforeach ?>
        </div>
        <?php if (is_admin()) :
          if (!defined('ELEMENTOR_VERSION'))
            return;
        ?>
      <script>
        //$(".testimonial_active").slick();
        $("#slick-<?= $this->get_id() ?>").slick();
      </script>

    <?php endif ?>
<?php
  }
}