<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
}

/**
 * Image Carousel Widget
 */

class Image_Carousel_Widget extends \Elementor\Widget_Base {

  public function get_name() {
    return 'morat-image-carousel';
  }

  public function get_title() {
    return esc_html__('Image Carousel', 'mediquet-widget');
  }

  public function get_categories() {
    return ['basic'];
  }


  public function get_style_depends() {
    return ['main-style', 'slick'];
  }

  /**
   * Controls
   */

  protected function register_controls() {
    // Content Section
    $this->start_controls_section(
      'content_section',
      [
        'label' => 'Content',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    $repeater = new \Elementor\Repeater();

    // Image Gallery
    $repeater->add_control(
      'carousel_image',
      [
        'label' => esc_html__('Carousel Image', 'mediquet'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
          'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
      ]
    );

    // Main Title
    $repeater->add_control(
      'image_link',
      [
        'label' => esc_html__('Image Link', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXT,
        'default' => esc_html__('https://example.com', 'mediquet'),
        'label_block' => true,
      ]
    );

    $this->add_control(
      'list',
      [
        'label' => esc_html__('Carousel List', 'textdomain'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $repeater->get_controls(),
        'default' => [
          [
            'image_link' => '#'
          ],
          [
            'image_link' => '#'
          ],
          [
            'image_link' => '#'
          ],
          [
            'image_link' => '#'
          ],
        ],
        'title_field' => 'Carousel Item',
      ]
    );

    $this->end_controls_section();
	
	/*===========Blog  Slick Option Start ============*/
  $this->start_controls_section(
    'slider_section',
    [
      'label' => 'Slick Option',
      'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
    ]
  );
	// Auto Play
  $this->add_control(
    'auto_play',
    [
      'label' => esc_html__('Auto Play', 'mediquet'),
      'type' => \Elementor\Controls_Manager::SELECT,
      'default' => 'true',
      'options' => [
        'true'  => esc_html__('True', 'mediquet'),
        'false' => esc_html__('False', 'mediquet'),
      ],
    ]
  );
  // Speed
  $this->add_control(
    'speed',
    [
      'label' => esc_html__('Speed', 'mediquet'),
      'type' => \Elementor\Controls_Manager::NUMBER,
      'min' => 100,
      'max' => 10000,
      'default' => 900,
    ]
  );
  // AutoPlay Speed
  $this->add_control(
    'autoplay_speed',
    [
      'label' => esc_html__('Autoplay Speed', 'mediquet'),
      'type' => \Elementor\Controls_Manager::NUMBER,
      'min' => 100,
      'max' => 10000,
      'default' => 900,
    ]
  );
  // Slide To Show
  $this->add_control(
    'slide_to_show',
    [
      'label' => esc_html__('Slide To Show', 'mediquet'),
      'type' => \Elementor\Controls_Manager::NUMBER,
      'min' => 1,
      'max' => 6,
      'default' => 4,
    ]
  ); 
  // Slide To Scroll
  $this->add_control(
    'slide_to_scroll',
    [
      'label' => esc_html__('Slide To Scroll', 'mediquet'),
      'type' => \Elementor\Controls_Manager::NUMBER,
      'min' => 1,
      'max' => 6,
      'default' => 1,
    ]
  );
  // Slide Dot
  $this->add_control(
    'dot',
    [
      'label' => esc_html__('Dot', 'mediquet'),
      'type' => \Elementor\Controls_Manager::SELECT,
      'default' => 'false',
      'options' => [
        'true'  => esc_html__('True', 'mediquet'),
        'false' => esc_html__('False', 'mediquet'),
      ],
    ]
  );
  // Posts Slider Arrows
  $this->add_control(
    'arrows',
    [
      'label' => esc_html__('Arrows', 'mediquet'),
      'type' => \Elementor\Controls_Manager::SELECT,
      'default' => 'true',
      'options' => [
        'true'  => esc_html__('True', 'mediquet'),
        'false' => esc_html__('False', 'mediquet'),
      ],
    ]
  );
  // Posts Slider  Infinite
  $this->add_control(
    'infinite',
    [
      'label' => esc_html__('Infinite', 'mediquet'),
      'type' => \Elementor\Controls_Manager::SELECT,
      'default' => 'true',
      'options' => [
        'true'  => esc_html__('True', 'mediquet'),
        'false' => esc_html__('False', 'mediquet'),
      ],
    ]
  );
  // Slide To Show
  $this->add_control(
    'slide_rea_show',
    [
      'label' => esc_html__('Mobel Show', 'mediquet'),
      'type' => \Elementor\Controls_Manager::NUMBER,
      'min' => 1,
      'max' => 6,
      'default' => 2,
    ]
  );
	//  Posts Slider To Show
  $this->add_control(
    'slide_reas_show',
    [
      'label' => esc_html__('Tablet Show', 'mediquet'),
      'type' => \Elementor\Controls_Manager::NUMBER,
      'min' => 1,
      'max' => 6,
      'default' => 2,
    ]
  );
	// Slide To Show
  $this->add_control(
    'slide_reass_show',
    [
      'label' => esc_html__('Desktop Show', 'mediquet'),
      'type' => \Elementor\Controls_Manager::NUMBER,
      'min' => 1,
      'max' => 6,
      'default' => 2,
    ]
  );
	
    $this->end_controls_section();


    /** Carousel Style */
    $this->start_controls_section(
      'carousel_style',
      [
        'label' => 'Image Style',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
    // Image Width
    $this->add_responsive_control(
      'space_between',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', 'em', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 400,
          ],
          '%' => [
            'min' => 0,
            'max' => 100,
          ]
        ],
        'devices' => ['desktop', 'tablet', 'mobile'],
        'selectors' => [
          '{{WRAPPER}} .carousel_image' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
    $this->end_controls_section();

    /*=========== Images Arrow Dot Style Section start ============*/
 
	 /**
     * Arrow Style Section  
     */
    $this->start_controls_section(
      'Arrow_style',
      [
        'label' => 'Arrow Options',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
		'condition' => [
			'arrows' => 'true',
		],	
      ]
    );
    $this->start_controls_tabs(
      'slider_arrow_style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'team_arrow_tab',
      [
        'label' => esc_html__('Normal', 'mediquet'),
      ]
    );

    // Color
    $this->add_control(
      'team_arrow_color',
      [
        'label' => esc_html__('Arrow Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slick-prev:before, {{WRAPPER}} .slick-next:before' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'team_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next',
      ]
    );
	
	// Arrow Width
		$this->add_responsive_control(
		  'team_arrow_font_size',
		  [
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => esc_html__('font size', 'mediquet'),
			'size_units' => ['px'],
			'range' => [
			  'px' => [
				'min' => 0,
				'max' => 500,
			  ],
			  '%' => [
				'min' => 0,
				'max' => 100
			  ]
			],
			'selectors' => [
			  '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'font-size: {{SIZE}}{{UNIT}};',
			],
		  ]
		);
	
	// Arrow Width
    $this->add_responsive_control(
      'team_arrow_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
  	// Arrow height
    $this->add_responsive_control(
      'team_arrow_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
    //Slick  Button  Arrow height
    $this->add_responsive_control(
      'team_arrow_line-height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
    //Slick  Button Opacity
    $this->add_responsive_control(
      'team_arrow_opacity',
      [
        'label' => esc_html__( 'Arrow Opacity', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::TEXT,
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'opacity: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
    //Slick  Button border style
    $this->add_control(
      'team_arrow_border',
      [
        'label' => esc_html__( 'Border Style', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SELECT,
        'options' => [
          'none' => esc_html__( 'none', 'mediquet' ),
          'solid' => esc_html__( 'Solid', 'mediquet' ),
          'double' => esc_html__( 'Double', 'mediquet' ),
          'dotted' => esc_html__( 'Dotted', 'mediquet' ),
          'dashed' => esc_html__( 'Dashed', 'mediquet' ),
          'default' => esc_html__( 'Default', 'mediquet' ),
        ],
        'default' => 'none',
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-style: {{VALUE}}',
        ],
      ]
    );		
    //Slick  Button Border width
    $this->add_control(
      'team_arrow_btn_style',
      [
        'label' => esc_html__( 'Width', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'condition' => [
          'arrow_border' => ['solid','double','dotted','dashed'],
        ],								
      ]
    );
    //Slick  Button border color
    $this->add_control(
      'team_border1_btn_color',
      [
        'label' => esc_html__( 'Border Color', 'mediquet' ),
        'type' =>  \Elementor\Controls_Manager::COLOR,
        
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-color: {{VALUE}}',
        ],
        'condition' => [
          'arrow_border' => ['solid','double','dotted','dashed','default'],
        ],								
      ]
    );
    //Slick  Button Radius
    $this->add_control(
      'team_arrow_radius',
      [
        'label' => esc_html__( 'Border Radius', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => [ 'px', '%' ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'condition' => [
          'arrow_border' => ['solid','double','dotted','dashed','default'],
        ],								
      ]
    );
    //Slick  Button Top
    $this->add_responsive_control(
      'team_arrow_top',
      [
        'label' => esc_html__( 'Arrow Top', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SLIDER,
        'size_units' => [ 'px', '%' ],
        'range' => [
          'px' => [
            'min' => -100,
            'max' => 500,
          ],
          '%' => [
            'min' => -100,
            'max' => 100,
          ],		
        ],						
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-next , {{WRAPPER}} .slick-slider .slick-prev' => 'top: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
    //slick  button Left
    $this->add_responsive_control(
      'team_arrow_Left',
      [
        'label' => esc_html__( 'Arrow Left', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SLIDER,
        'size_units' => [ 'px', '%' ],
        'range' => [
          'px' => [
            'min' => -100,
            'max' => 500,
          ],
          '%' => [
            'min' => -100,
            'max' => 100,
          ],		
        ],						
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev' => 'left: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
    //  slick  button right
    $this->add_responsive_control(
      'team_arrow_right',
      [
        'label' => esc_html__( 'Arrow right', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SLIDER,
        'size_units' => [ 'px', '%' ],
        'range' => [
          'px' => [
            'min' => -100,
            'max' => 500,
          ],
          '%' => [
            'min' => -100,
            'max' => 100,
          ],		
        ],						
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-next ' => 'right: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
  $this->end_controls_tab();

  //  slick Next button Hover Tab
  $this->start_controls_tab(
    'team_style_hover_tab',
    [
      'label' => esc_html__('Hover', 'mediquet'),
    ]
  );
  // slick Next button Color
  $this->add_control(
    'team_arrow_color_hover',
    [
      'label' => esc_html__('Arrow Color Hover', 'mediquet'),
      'type' => \Elementor\Controls_Manager::COLOR,
      'selectors' => [
        '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover' => 'color: {{VALUE}}',
      ],
    ]
  );
  // slick Next button Background
  $this->add_group_control(
    \Elementor\Group_Control_Background::get_type(),
    [
      'name' => 'team_arrow_hover_background',
      'label' => esc_html__('Background', 'mediquet'),
      'types' => ['classic', 'gradient'],
      'selector' => '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover',
    ]
  );

// slick Next button border_color 
$this->add_control(
  'team_border1_arr_color',
  [
    'label' => esc_html__( 'Border Color', 'mediquet' ),
    'type' =>  \Elementor\Controls_Manager::COLOR,
    
    'selectors' => [
      '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover' => 'border-color: {{VALUE}}',
    ],							
  ]
);
	
  $this->end_controls_tab();
  $this->end_controls_tabs();


  }

  protected function render() {
    $settings = $this->get_settings_for_display();

      $this->add_render_attribute(
        'slider_otp',
        [
          'id' => 'slider_otp-'. $this->get_id(),
          'data-arrow' => $settings['arrows'],
          'data-dot' => $settings['dot'],
          'data-slide_to_show' => $settings['slide_to_show'],
          'data-slide_to_scroll' => $settings['slide_to_scroll'],
          'data-autoplay_speed'		=> $settings['autoplay_speed'],
          'data-slide_reass_show'		=> $settings['slide_reass_show'],
          'data-slide_reas_show'		=> $settings['slide_reas_show'],
          'data-slide_rea_show'		=> $settings['slide_rea_show'],
        ]
      ); ?>
      <div class="slick_active" <?php echo $this->get_render_attribute_string('slider_otp'); ?> >
        <?php foreach ($settings['list'] as $image) : ?>
          <div class="col-lg-12">
            <div class="img_carsul">
              <a href="<?= $image['image_link'] ?>"><img class="carousel_image" src="<?= esc_attr($image['carousel_image']['url']) ?>" alt=""></a>
            </div>
          </div>
        <?php endforeach ?>
      </div>

    <?php if (is_admin()) :
      if (!defined('ELEMENTOR_VERSION')) :
        return;
      endif
    ?>
    <?php endif ?>

<?php
  }
}
