<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
}

/**
 * Team Widget
 */

class post_team_widget extends \Elementor\Widget_Base {
  public function get_name() {
    return 'morat-team';
  }

  public function get_title() {
    return esc_html__('mediquet post Team', 'mediquet-widget');
  }

  public function get_categories() {
    return ['basic'];
  }

  /**
   * Controls
   */

  protected function register_controls() {
    // Content Section
    $this->start_controls_section(
      'content_section',
      [
        'label' => 'Post Team',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

  // Team Style
    $this->add_control(
      'team_style',
      [
        'label' => esc_html__('Team Style ', 'textdomain'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => '1',
        'options' => [
          '1'  => esc_html__('Team style 01', 'textdomain'),
          '2' => esc_html__('Team style 02', 'textdomain'),
          '3' => esc_html__('Team style 03', 'textdomain'),
          '4' => esc_html__('Team style 04', 'textdomain'),
        ],
      ]
    );

    // Post count
    $this->add_control(
      'post_count',
      [
        'label' => 'Number of Post',
        'type' => \Elementor\Controls_Manager::NUMBER,
        'max' => 12,
        'default' => 3
      ]
    );
	
	// Show Icon
    $this->add_control(
			'show_icon',
			[
				'label' => esc_html__( 'Show Button', 'textdomain' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'label_on' => esc_html__( 'Show', 'your-plugin' ),
				'label_off' => esc_html__( 'Hide', 'your-plugin' ),
				'return_value' => 'yes',
				'default' => 'yes',
			]
		);
	// Auto Play
    $this->add_control(
      'auto_play',
      [
        'label' => esc_html__('Auto Play', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

    // Speed
    $this->add_control(
      'speed',
      [
        'label' => esc_html__('Speed', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );

    // AutoPlay Speed
    $this->add_control(
      'autoplay_speed',
      [
        'label' => esc_html__('Autoplay Speed', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );


    // Slide To Show
    $this->add_control(
      'slide_to_show',
      [
        'label' => esc_html__('Slide To Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 3,
      ]
    );

    // Slide To Scroll
    $this->add_control(
      'slide_to_scroll',
      [
        'label' => esc_html__('Slide To Scroll', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );


    // Dot
    $this->add_control(
      'dot',
      [
        'label' => esc_html__('Dot', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'false',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

    
    // Arrows
    $this->add_control(
      'arrows',
      [
        'label' => esc_html__('Arrows', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

    // Infinite
    $this->add_control(
      'infinite',
      [
        'label' => esc_html__('Infinite', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

	
	
		// Slide To Show
    $this->add_control(
      'slide_rea_show',
      [
        'label' => esc_html__('Mobel Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 2,
      ]
    );
	// Slide To Show
    $this->add_control(
      'slide_reas_show',
      [
        'label' => esc_html__('Tablet Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 2,
      ]
    );
	
	// Slide To Show
    $this->add_control(
      'slide_reass_show',
      [
        'label' => esc_html__('Desktop Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 2,
      ]
    );
	
    $this->end_controls_section();


	// Box Style
	 $this->start_controls_section(
      'box_style',
      [
        'label' => 'Box Color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'boxs_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .wtx_team_content',
      ]
    );
	  // Box Padding 
    $this->add_responsive_control(
      'ser_box_padding',
      [
        'label' => 'Box Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .wtx_team_content' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );

    // Box Margin
    $this->add_responsive_control(
      'ser_box_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .wtx_team_content' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );
	
	/* border_radius */
	$this->add_control(
		'service_border_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .wtx_team_content' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);
	 
	/* box shadow */	
	$this->add_group_control(
		\Elementor\Group_Control_Box_Shadow::get_type(),
		[
			'name' => 'box_shadow',
			'label' => esc_html__( 'Box Shadow', 'mediquet' ),
			'selector' => '{{WRAPPER}} .all_title_team, {{WRAPPER}} .wtx_team_content',
		]
	); 
	 
	$this->end_controls_section();
	
	
	// Text Box Style
	 $this->start_controls_section(
      'text_box_style',
      [
        'label' => ' Content Box Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'text_boxs background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .wtx_team_content',
      ]
    );
	  // Box Padding 
    $this->add_responsive_control(
      'ter_box_padding',
      [
        'label' => 'text Box Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .wtx_team_content' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
      ]
    );

    // Box Margin
    $this->add_responsive_control(
      'text_box_margin',
      [
        'label' => 'text_Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .wtx_team_content' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );
	 
	/* box shadow */	
	$this->add_group_control(
		\Elementor\Group_Control_Box_Shadow::get_type(),
		[
			'name' => 'text_box_shadow',
			'label' => esc_html__( 'Box Shadow', 'mediquet' ),
			'selector' => '{{WRAPPER}} .wtx_team_content',
		]
	); 
	 
	$this->end_controls_section();
	
	
    /* Title Style */
    $this->start_controls_section(
      'team_title_style',
      [
        'label' => 'Main Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Color
    $this->add_control(
      'post_team_title_color',
      [
        'label' => esc_html__('Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .team_main_title a' => 'color: {{VALUE}} !important',
        ],
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'team_title_typography',
        'selector' => '{{WRAPPER}} .team_main_title a',
      ]
    );

    // Main Title Padding
    $this->add_responsive_control(
      'title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .wtx_content2 h5' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'team_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .team_main_title a, {{WRAPPER}} .wtx_content2 h5' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );

    $this->end_controls_section();


    /* Sub Title Style */

    $this->start_controls_section(
      'sub_title_style',
      [
        'label' => 'Sub Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Sub Title Color
    $this->add_control(
      'team_sub_title_color',
      [
        'label' => esc_html__('Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .team_sub_title' => 'color: {{VALUE}} !important',
        ],
      ]
    );

    // Sub Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'sub_title_typography',
        'selector' => '{{WRAPPER}} .team_sub_title',
      ]
    );

    // Sub Title Padding
    $this->add_responsive_control(
      'sub_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .team_sub_title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );

    // Sub Title Margin
    $this->add_responsive_control(
      'sub_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .team_sub_title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );

    $this->end_controls_section();
	
	  /* Ticontenttle Style */
    $this->start_controls_section(
      'team_content_style',
      [
        'label' => 'content Style',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Color
    $this->add_control(
      'post_team_content_color',
      [
        'label' => esc_html__('Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .wtx_content2  .team_content' => 'color: {{VALUE}} !important',
        ],
      ]
    );

    // Main content Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'team_content_typography',
        'selector' => '{{WRAPPER}} .wtx_content2  .team_content',
      ]
    );

    // content Padding
    $this->add_responsive_control(
      'tean_content_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .wtx_content2  .team_content' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );

    // content Margin
    $this->add_responsive_control(
      'team_content_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .wtx_content2  .team_content' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        
      ]
    );

    $this->end_controls_section();
   /**
     * Icon Style
     */

	 
	$this->start_controls_section(
      'icon_style',
      [
        'label' => 'Icon Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
	
    // Icon Color
    $this->add_control(
      'icon_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .team_icon i, {{WRAPPER}} .active_icon a, {{WRAPPER}} .wtx_team_icon ul li a' => 'color: {{VALUE}}',
        ]
      ]
    );

	// icon Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'icon_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a',
      ]
    );
	
	
    // Icon Size
    $this->add_responsive_control(
      'icon_size',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Size', 'mediquet'),
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 200,
          ],
        ],
        'devices' => ['desktop', 'tablet', 'mobile'],
        'selectors' => [
          '{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'font-size: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	
	// icon Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'icon_active_background',
        'label' => esc_html__('Active Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .active_icon a',
      ]
    );
	
	// Arrow Width
    $this->add_responsive_control(
      'ser_icons_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// Arrow height
    $this->add_responsive_control(
      'ser_icons_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// Line height
    $this->add_responsive_control(
      'ser_icons_line_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	/* witr_border_style */
	$this->add_control(
		'icons_border',
		[
			'label' => esc_html__( 'Border Style', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SELECT,
			'options' => [
				'none' => esc_html__( 'none', 'mediquet' ),
				'solid' => esc_html__( 'Solid', 'mediquet' ),
				'double' => esc_html__( 'Double', 'mediquet' ),
				'dotted' => esc_html__( 'Dotted', 'mediquet' ),
				'dashed' => esc_html__( 'Dashed', 'mediquet' ),
				'default' => esc_html__( 'Default', 'mediquet' ),
			],
			'default' => 'none',
			'selectors' => [
				'{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'border-style: {{VALUE}}',
			],
		]
	);		
	/* witr border */
	
	$this->add_control(
		'icon_bods_style',
		[
			'label' => esc_html__( 'Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'selectors' => [
				'{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'icons_border' => ['solid','double','dotted','dashed'],
			],								
		]
	);
	/* border_color */
	$this->add_control(
		'service_border1_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'border-color: {{VALUE}}',
			],
			'condition' => [
				'icons_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);
	
	/* border_color */
	$this->add_control(
		'active_dot_color',
		[
			'label' => esc_html__( 'Dot Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .slick-dots li.slick-active button' => 'border-color: {{VALUE}}',
			],
		]
	);
	
	
	
	/* border_radius */
	$this->add_control(
		'icons_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);
	
	
	
	 // icons Padding
    $this->add_responsive_control(
      'icons_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // icons Margin
    $this->add_responsive_control(
      'icons_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .team_icon i, {{WRAPPER}} .wtx_team_icon ul li a, {{WRAPPER}} .active_icon a' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	
	
	
/* hedding  */
	$this->add_control(
		'witr_hove',
		[
			'label' => esc_html__( ' Hover Color option', 'bitor' ),
			'type' =>\Elementor\Controls_Manager::HEADING,
		]
	);
    
    // icon1 Color
    $this->add_control(
      'icon1_hover_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .all_title_team:hover .team_icon i, {{WRAPPER}} .all_title_team:hover .wtx_team_icon ul li a' => 'color: {{VALUE}}',
        ]
      ]
    );

    // icon1 Background
    $this->add_control(
      'icon1_hover_bg',
      [
        'label' => 'Background',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .all_title_team:hover .team_icon i, {{WRAPPER}} .all_title_team:hover .wtx_team_icon ul li a' => 'background-color: {{VALUE}}',
        ]
      ]
    );

   
	 $this->end_controls_section();
		
	
   /**
     * Image Style
     */

    $this->start_controls_section(
      'image_style',
      [
        'label' => 'Image Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
	//  Width
    $this->add_responsive_control(
      'img_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .wtx_image_area img' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
    // Image Overlay
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'image_overlay_background',
        'label' => esc_html__('Overlay Background', 'textdomain'),
        'types' => ['classic', 'gradient', 'video'],
        'selector' => '{{WRAPPER}} .wtx_image_area:before',
      ]
    );
	


    $this->end_controls_section();	
	
	
	 /**
     * Arrow Style Section  
     */
    $this->start_controls_section(
      'Arrow_style',
      [
        'label' => 'Arrow Options',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
		'condition' => [
			'arrows' => 'true',
		],	
      ]
    );
    $this->start_controls_tabs(
      'slider_arrow_style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'team_arrow_tab',
      [
        'label' => esc_html__('Normal', 'mediquet'),
      ]
    );

    // Color
    $this->add_control(
      'team_arrow_color',
      [
        'label' => esc_html__('Arrow Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slick-prev:before, {{WRAPPER}} .slick-next:before' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'team_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next',
      ]
    );
	
	// Arrow Width
		$this->add_responsive_control(
		  'team_arrow_font_size',
		  [
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => esc_html__('font size', 'mediquet'),
			'size_units' => ['px'],
			'range' => [
			  'px' => [
				'min' => 0,
				'max' => 500,
			  ],
			  '%' => [
				'min' => 0,
				'max' => 100
			  ]
			],
			'selectors' => [
			  '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'font-size: {{SIZE}}{{UNIT}};',
			],
		  ]
		);
	
	// Arrow Width
    $this->add_responsive_control(
      'team_arrow_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
  	// Arrow height
    $this->add_responsive_control(
      'team_arrow_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
    //Slick  Button  Arrow height
    $this->add_responsive_control(
      'team_arrow_line-height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
    //Slick  Button Opacity
    $this->add_responsive_control(
      'team_arrow_opacity',
      [
        'label' => esc_html__( 'Arrow Opacity', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::TEXT,
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'opacity: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
    //Slick  Button border style
    $this->add_control(
      'team_arrow_border',
      [
        'label' => esc_html__( 'Border Style', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SELECT,
        'options' => [
          'none' => esc_html__( 'none', 'mediquet' ),
          'solid' => esc_html__( 'Solid', 'mediquet' ),
          'double' => esc_html__( 'Double', 'mediquet' ),
          'dotted' => esc_html__( 'Dotted', 'mediquet' ),
          'dashed' => esc_html__( 'Dashed', 'mediquet' ),
          'default' => esc_html__( 'Default', 'mediquet' ),
        ],
        'default' => 'none',
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-style: {{VALUE}}',
        ],
      ]
    );		
    //Slick  Button Border width
    $this->add_control(
      'team_arrow_btn_style',
      [
        'label' => esc_html__( 'Width', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'condition' => [
          'arrow_border' => ['solid','double','dotted','dashed'],
        ],								
      ]
    );
    //Slick  Button border color
    $this->add_control(
      'team_border1_btn_color',
      [
        'label' => esc_html__( 'Border Color', 'mediquet' ),
        'type' =>  \Elementor\Controls_Manager::COLOR,
        
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-color: {{VALUE}}',
        ],
        'condition' => [
          'arrow_border' => ['solid','double','dotted','dashed','default'],
        ],								
      ]
    );
    //Slick  Button Radius
    $this->add_control(
      'team_arrow_radius',
      [
        'label' => esc_html__( 'Border Radius', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => [ 'px', '%' ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'condition' => [
          'arrow_border' => ['solid','double','dotted','dashed','default'],
        ],								
      ]
    );
    //Slick  Button Top
    $this->add_responsive_control(
      'team_arrow_top',
      [
        'label' => esc_html__( 'Arrow Top', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SLIDER,
        'size_units' => [ 'px', '%' ],
        'range' => [
          'px' => [
            'min' => -100,
            'max' => 500,
          ],
          '%' => [
            'min' => -100,
            'max' => 100,
          ],		
        ],						
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-next , {{WRAPPER}} .slick-slider .slick-prev' => 'top: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
    //slick  button Left
    $this->add_responsive_control(
      'team_arrow_Left',
      [
        'label' => esc_html__( 'Arrow Left', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SLIDER,
        'size_units' => [ 'px', '%' ],
        'range' => [
          'px' => [
            'min' => -100,
            'max' => 500,
          ],
          '%' => [
            'min' => -100,
            'max' => 100,
          ],		
        ],						
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev' => 'left: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
    //  slick  button right
    $this->add_responsive_control(
      'team_arrow_right',
      [
        'label' => esc_html__( 'Arrow right', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SLIDER,
        'size_units' => [ 'px', '%' ],
        'range' => [
          'px' => [
            'min' => -100,
            'max' => 500,
          ],
          '%' => [
            'min' => -100,
            'max' => 100,
          ],		
        ],						
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-next ' => 'right: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
  $this->end_controls_tab();

  //  slick Next button Hover Tab
  $this->start_controls_tab(
    'team_style_hover_tab',
    [
      'label' => esc_html__('Hover', 'mediquet'),
    ]
  );
  // slick Next button Color
  $this->add_control(
    'team_arrow_color_hover',
    [
      'label' => esc_html__('Arrow Color Hover', 'mediquet'),
      'type' => \Elementor\Controls_Manager::COLOR,
      'selectors' => [
        '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover' => 'color: {{VALUE}}',
      ],
    ]
  );
  // slick Next button Background
  $this->add_group_control(
    \Elementor\Group_Control_Background::get_type(),
    [
      'name' => 'team_arrow_hover_background',
      'label' => esc_html__('Background', 'mediquet'),
      'types' => ['classic', 'gradient'],
      'selector' => '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover',
    ]
  );

// slick Next button border_color 
$this->add_control(
  'team_border1_arr_color',
  [
    'label' => esc_html__( 'Border Color', 'mediquet' ),
    'type' =>  \Elementor\Controls_Manager::COLOR,
    
    'selectors' => [
      '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover' => 'border-color: {{VALUE}}',
    ],							
  ]
);
	
  $this->end_controls_tab();
  $this->end_controls_tabs();


    $this->end_controls_section();

	
  }

  /*=========== Team protected render start ============*/
  protected function render() {
    $settings = $this->get_settings_for_display();
      // Query Posts
      $args = array(
        'post_type' => 'team',
        'post_status' => 'publish',
        'posts_per_page' => $settings['post_count'],
        'orderby' => 'title',
        'order' => 'ASC',
      );

      $loop = new WP_Query($args);
    
     	$this->add_render_attribute(
			'team_opt',
			[
				'id' => 'team_otp-'. $this->get_id(),
				'data-arrow' => $settings['arrows'],
				'data-dot' => $settings['dot'],
				'data-slide_to_show' => $settings['slide_to_show'],
				'data-slide_to_scroll' => $settings['slide_to_scroll'],
				'data-autoplay_speed'		=> $settings['autoplay_speed'],
        'data-slide_reass_show'		=> $settings['slide_reass_show'],
        'data-slide_reas_show'		=> $settings['slide_reas_show'],
        'data-slide_rea_show'		=> $settings['slide_rea_show'],
			]
      
		); ?>
		<div class="slick_active" <?php echo $this->get_render_attribute_string('team_opt'); ?> >
      <?php while ($loop->have_posts()) : $loop->the_post(); ?>
		
         <?php if ($settings['team_style'] == '1') : ?>
              <!--========  team_style_01 ======== -->
              <div class=" col-lg-12">
                <div class=" all_title_team ">
                  <div class="wtx_image_area">
                    <img src="<?= get_the_post_thumbnail_url() ?>" alt="">
                  </div>
                  <div class="wtx_team_content">
                    <div class="wtx_content2 content1_bg_color">
                      <h5 class="team_main_title"><a href="<?= get_post_permalink() ?>"><?= the_title() ?></a></h5>
                      <span class="team_sub_title"><?= get_post_meta(get_the_ID(), '_team_title')[0] ?></span>
                    </div>
                    <div class="team_icon">
                      <i class="fas fa-phone-alt"></i>
                    </div>
                  </div>
                </div>
             </div>
             <?php else : ?>
             <?php if ($settings['team_style'] == '2') : ?>
               <!--========  team_style_02 ======== -->
              <div class=" col-lg-12">
                <div class=" all_title_team team_style2">
                  <div class="wtx_image_area">
                    <img src="<?= get_the_post_thumbnail_url() ?>" alt="">
                  </div>
                  <div class="wtx_team_icon">
                    <?php
                      $socials = get_post_meta(get_the_ID(), '_team_socials', true);
                      if($socials):
                    ?>
                      <ul>
                        <?= $socials['facebook'] ? '<li><a href="'. $socials['facebook'] .'"><i class="icofont-facebook"></i></a></li>' : '' ?>
                        <?= $socials['twitter'] ? '<li><a href="'. $socials['twitter'] .'"><i class="icofont-twitter"></i></a></li>' : '' ?>
                        <?= $socials['instagram'] ? '<li><a href="'. $socials['instagram'] .'"><i class="icofont-instagram"></i></a></li>' : '' ?>
                        <?= $socials['google'] ? '<li><a href="'. $socials['google'] .'"><i class="icofont-google-plus"></i></a></li>' : '' ?>
                      </ul>
                    <?php endif ?>
                  </div>
                  <div class="wtx_team_content">
                    <div class="wtx_content2 content1_bg_color">
                      <h5 class="team_main_title"><a href="<?= get_post_permalink() ?>"><?= the_title() ?></a></h5>
                      <span class="team_sub_title"><?= get_post_meta(get_the_ID(), '_team_title')[0] ?></span>
                      <p class="team_content"><?= get_the_content() ?></p>
                    </div>
                  </div>
                </div>
              </div>
            <?php else : ?>
            <?php if ($settings['team_style'] == '3') : ?>
               <!--========  team_style_03 ======== -->
               <div class=" col-lg-12">
                <div class=" all_title_team team_style3">
                  <div class="wtx_image_area">
                    <img src="<?= get_the_post_thumbnail_url() ?>" alt="">
                  </div>
                  <div class="wtx_team_content">
                    <div class="wtx_content2 content1_bg_color">
                      <h5 class="team_main_title"><a href="<?= get_post_permalink() ?>"><?= the_title() ?></a></h5>
                      <span class="team_sub_title"><?= get_post_meta(get_the_ID(), '_team_title')[0] ?></span>
                      <?php if('yes' === $settings['show_icon']): ?>
                        <div class="wtx_team_icon">
                        <?php
                          $socials = get_post_meta(get_the_ID(), '_team_socials', true);
                          if($socials):
                        ?>
                          <ul>
                            <?= $socials['facebook'] ? '<li><a href="'. $socials['facebook'] .'"><i class="icofont-facebook"></i></a></li>' : '' ?>
                            <?= $socials['twitter'] ? '<li><a href="'. $socials['twitter'] .'"><i class="icofont-twitter"></i></a></li>' : '' ?>
                            <?= $socials['instagram'] ? '<li><a href="'. $socials['instagram'] .'"><i class="icofont-instagram"></i></a></li>' : '' ?>
                            <?= $socials['google'] ? '<li><a href="'. $socials['google'] .'"><i class="icofont-google-plus"></i></a></li>' : '' ?>
                          </ul>
                        <?php endif ?>
                     </div>
				             <?php endif ?>
                    </div>
                  </div>
                </div>
               </div>
            <?php else : ?>
            <?php if ($settings['team_style'] == '4') : ?>
              <!--========  team_style_04 ======== -->
              <div class=" col-lg-12">
                 <div class=" all_title_team team_style3">
                    <div class="wtx_team_content">
                      <div class="wtx_content2 content1_bg_color">
                        <div class="wtx_content_team">
                          <h5 class="team_main_title"><a href="<?= get_post_permalink() ?>"><?= the_title() ?></a></h5>
                          <span class="team_sub_title"><?= get_post_meta(get_the_ID(), '_team_title')[0] ?></span>
                        </div>
                        <div class="wtx_team_icon">
                        <?php
                        $socials = get_post_meta(get_the_ID(), '_team_socials', true);
                        if($socials):
                         ?>
                        <div class="active_icon">
                           <a href="#"><i class="icofont-share"></i></a>
                        </div>
                        <?php endif ?>
                      </div>
                    </div>
                  </div>
				          <div class="wtx_image_area">
                    <img src="<?= get_the_post_thumbnail_url() ?>" alt="">
					          <div class="wtx_team_icon">
                      <?php
                        $socials = get_post_meta(get_the_ID(), '_team_socials', true);
                        if($socials):
                        ?>
                          <ul>
                            <?= $socials['facebook'] ? '<li><a href="'. $socials['facebook'] .'"><i class="icofont-facebook"></i></a></li>' : '' ?>
                            <?= $socials['twitter'] ? '<li><a href="'. $socials['twitter'] .'"><i class="icofont-twitter"></i></a></li>' : '' ?>
                            <?= $socials['instagram'] ? '<li><a href="'. $socials['instagram'] .'"><i class="icofont-instagram"></i></a></li>' : '' ?>
                            <?= $socials['google'] ? '<li><a href="'. $socials['google'] .'"><i class="icofont-google-plus"></i></a></li>' : '' ?>
                          </ul>
                        <?php endif ?>
                    </div>
                  </div>
                </div>
              </div>
            <?php endif ?>
            <?php endif ?>
            <?php endif ?>
            <?php endif ?>

          <?php endwhile;
          wp_reset_postdata();
          ?>
    </div>

    <?php if (is_admin()) :
          if (!defined('ELEMENTOR_VERSION'))
           return;
         ?>


    <?php endif ?>
	   

<?php
  }
}
