<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
}

/**
 * Project Widget
 */

class project_Widget extends \Elementor\Widget_Base {

  public function get_name() {
    return 'morat-project';
  }
  public function get_title() {
    return esc_html__('project Carousel', 'project-widget');
  }
  public function get_categories() {
    return ['basic'];
  }
  public function get_style_depends() {
    return ['main-style', 'slick'];
  }

  /** * Controls */
  protected function register_controls() {
	  
    // Content Section
    $this->start_controls_section(
      'content_section',
      [
        'label' => 'Content',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    $repeater = new \Elementor\Repeater();

		// project slider Style
    $this->add_control(
      'project_style',
      [
        'label' => esc_html__('slider Style', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => '1',
        'options' => [
          '1'  => esc_html__('Project Style 01', 'mediquet'),
          '2'  => esc_html__('Project Style 02', 'mediquet'),
          '3'  => esc_html__('Project Style 03', 'mediquet'),
          '4'  => esc_html__('Project Style 04', 'mediquet'),
        ],
      ]
    );
  // project Alignment 
  	$this->add_responsive_control(
			'project_align',
			[
				'label' => esc_html__( 'Alignment', 'elementor' ),
				'type' => \Elementor\Controls_Manager::CHOOSE,
				'options' => [
					'left' => [
						'title' => esc_html__( 'Left', 'elementor' ),
						'icon' => 'eicon-text-align-left',
					],
					'center' => [
						'title' => esc_html__( 'Center', 'elementor' ),
						'icon' => 'eicon-text-align-center',
					],
					'right' => [
						'title' => esc_html__( 'Right', 'elementor' ),
						'icon' => 'eicon-text-align-right',
					],
					'justify' => [
						'title' => esc_html__( 'Justified', 'elementor' ),
						'icon' => 'eicon-text-align-justify',
					],
				],
				'selectors' => [
					'{{WRAPPER}} .project_text' => 'text-align: {{VALUE}};',
				],
			]
		);
    // Main Title
    $repeater->add_control( 
      'top_title',
      [
        'label' => esc_html__('Main Title', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Main Title Here', 'mediquet'),
        'label_block' => true,
      ]
    );
	  // content Title
    $repeater->add_control(
      'project_content',
      [
        'label' => esc_html__('Content Title ', 'mediquet'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Content Title Here', 'mediquet'),
        'label_block' => true,
      ]
    );
	  // projects  Image
    $repeater->add_control(
      'project_images',
      [
        'label' => esc_html__('project Image', 'mediquet'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
          'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
      ]
    );
    // projects List
    $this->add_control(
      'list',
      [
        'label' => esc_html__('Slider List', 'mediquet'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $repeater->get_controls(),
        
        'default' => [
          [
            'top_title' => esc_html__('Top title', 'mediquet'),
            'list_main_title' => esc_html__('Main title #1', 'mediquet'),
            'list_sub_title' => esc_html__('Item content. Click the edit button to change this text.', 'mediquet'),

            
          ],
          [
            'top_title' => esc_html__('Top title', 'mediquet'),
            'list_main_title' => esc_html__('Main title #1', 'mediquet'),
            'list_sub_title' => esc_html__('Item content. Click the edit button to change this text.', 'mediquet'),
          ],
        ],
        'title_field' => '{{{ top_title }}}',
      ]
    );

    $this->end_controls_section();


    /**============ * project carousel Settings ==========*/

    // settings Content Section
    $this->start_controls_section(
      'settings_section',
      [
        'label' => 'Slider Settings',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    // Auto Play
    $this->add_control(
      'auto_play',
      [
        'label' => esc_html__('Auto Play', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    // Speed
    $this->add_control(
      'speed',
      [
        'label' => esc_html__('Speed', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );
    // AutoPlay Speed
    $this->add_control(
      'autoplay_speed',
      [
        'label' => esc_html__('Autoplay Speed', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );
    // Slide To Show
    $this->add_control(
      'slide_to_show',
      [
        'label' => esc_html__('Slide To Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 3,
      ]
    ); 
    // Slide To Scroll
    $this->add_control(
      'slide_to_scroll',
      [
        'label' => esc_html__('Slide To Scroll', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );
    // Dot
    $this->add_control(
      'dot',
      [
        'label' => esc_html__('Dot', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'false',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    // Arrows
    $this->add_control(
      'arrows',
      [
        'label' => esc_html__('Arrows', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    // Infinite
    $this->add_control(
      'infinite',
      [
        'label' => esc_html__('Infinite', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );
    // Arrows
    $this->add_control(
      'slider_centermode',
      [
        'label' => esc_html__('centerMode', 'mediquet'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'false',
        'options' => [
          'true'  => esc_html__('True', 'mediquet'),
          'false' => esc_html__('False', 'mediquet'),
        ],
      ]
    );

/* feature title witr_feature_title */	
$this->add_control(
  'slider_unicid',
  [
    'label' => esc_html__( 'Use Unic ID', 'mediquet' ),
    'type' => \Elementor\Controls_Manager::TEXTAREA,
    'description' => esc_html__( 'Please use a unic ID here, ex- any text.', 'mediquet' ),
    'default' => 'id2',
    'placeholder' => esc_attr__( 'Type your ID here', 'mediquet' ),							
  ]
);	

    $this->end_controls_section();

	  // Project Responsive Section
    $this->start_controls_section(
      'responsive_section',
      [
        'label' => 'Responsive Settings',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );
		// Project carousel To Show
    $this->add_control(
      'slide_rea_show',
      [
        'label' => esc_html__('Mobel Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 2,
      ]
    );
	  // carousel Responsive To Show
    $this->add_control(
      'slide_reas_show',
      [
        'label' => esc_html__('Tablet Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 2,
      ]
    );
	  // carousel Responsive To Show
    $this->add_control(
      'slide_reass_show',
      [
        'label' => esc_html__('Desktop Show', 'mediquet'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );
	
    $this->end_controls_section();
	
	
    /**=================* Project Box Style =================*/
	 
	 
	  // Project Box Style
    $this->start_controls_section(
      'project_box_style',
      [
        'label' => 'Box Color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
  	// Project Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'project_boxs_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .txt_project_title',
      ]
    );
	  // Project Box Padding 
    $this->add_responsive_control(
      'project_box_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .txt_project_title ' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    // Project Box Margin
    $this->add_responsive_control(
      'project_box_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .txt_project_title ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    /* Project box shadow */	
    $this->add_group_control(
      \Elementor\Group_Control_Box_Shadow::get_type(),
      [
        'name' => 'project_box_shadowsbox',
        'label' => esc_html__( 'Box Shadow', 'potan' ),
        'selector' => '{{WRAPPER}} .txt_project_title ',
      ]
    ); 
	  /* witr_border_style */
    $this->add_control(
      'box_border',
      [
        'label' => esc_html__( 'Border Style', 'mediquet' ),
        'type' => \Elementor\Controls_Manager::SELECT,
        'options' => [
          'none' => esc_html__( 'none', 'mediquet' ),
          'solid' => esc_html__( 'Solid', 'mediquet' ),
          'double' => esc_html__( 'Double', 'mediquet' ),
          'dotted' => esc_html__( 'Dotted', 'mediquet' ),
          'dashed' => esc_html__( 'Dashed', 'mediquet' ),
          'default' => esc_html__( 'Default', 'mediquet' ),
        ],
        'default' => 'none',
        'selectors' => [
          '{{WRAPPER}} .txt_project_title ' => 'border-style: {{VALUE}}',
        ],
      ]
    );		
	/* Project Box border */
	$this->add_control(
		'box_bods_style',
		[
			'label' => esc_html__( 'Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'selectors' => [
				 '{{WRAPPER}} .txt_project_title ' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],
			'condition' => [
				'box_border' => ['solid','double','dotted','dashed'],
			],								
		]
	);
	/* border_color */
	$this->add_control(
		'boxs_border1_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .txt_project_title ' => 'border-color: {{VALUE}}',
			],
			'condition' => [
				'box_border' => ['solid','double','dotted','dashed','default'],
			],								
		]
	);
	/* border_radius */
	$this->add_control(
		'project_border_radius',
		[
			'label' => esc_html__( 'Border Radius', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::DIMENSIONS,
			'size_units' => [ 'px', '%' ],
			'selectors' => [
				'{{WRAPPER}} .txt_project_title ' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			],							
		]
	);
  

	$this->end_controls_section();
	 
  // Project Top Title Style
  $this->start_controls_section(
    'main_top_title_style',
    [
      'label' => 'Top Title',
      'tab' => \Elementor\Controls_Manager::TAB_STYLE
    ]
  );
  // Project Main Title Typography
  $this->add_group_control(
    \Elementor\Group_Control_Typography::get_type(),
    [
      'name' => 'project_top_title_typography',
      'selector' => '{{WRAPPER}} .txt_project_content p, {{WRAPPER}}  .txt_project_content_section p',
    ]
  );

    // Project Main Title Color
    $this->add_control(
      'project_top_title_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .txt_project_content p, {{WRAPPER}}  .txt_project_content_section p' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'project_top_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .txt_project_content p, {{WRAPPER}}  .txt_project_content_section p' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    // Main Title Margin
    $this->add_responsive_control(
      'project_top_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .txt_project_content p, {{WRAPPER}}  .txt_project_content_section p' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    $this->end_controls_section();
	 
	 
    // Project Middle Title Style
    $this->start_controls_section(
      'project_mid_title_style',
      [
        'label' => 'Middle Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'project_mid_typography',
        'selector' => '{{WRAPPER}} .txt_project_title h2, {{WRAPPER}}  .txt_project_content_section h2',
      ]
    );
    // Main Title Color
    $this->add_control(
      'project_mid_title_color',
      [
        'label' => esc_html__('Main Title Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .txt_project_title h2, {{WRAPPER}}  .txt_project_content_section h2' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'project_mid_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .txt_project_title h2, {{WRAPPER}}  .txt_project_content_section h2' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'project_mid_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .txt_project_title h2, {{WRAPPER}}  .txt_project_content_section h2' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    $this->end_controls_section();

    
    // Project Middle Title Style
    $this->start_controls_section(
      'project_images_style',
      [
        'label' => 'Images Style',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
   	  // Project Images Width
       $this->add_responsive_control(
        'Project_img_width',
        [
          'type' => \Elementor\Controls_Manager::SLIDER,
          'label' => esc_html__('Width', 'mediquet'),
          'size_units' => ['px', '%'],
          'range' => [
            'px' => [
              'min' => 0,
              'max' => 500,
            ],
            '%' => [
              'min' => 0,
              'max' => 100
            ]
          ],
          'selectors' => [
            '{{WRAPPER}} .project_slider_img img' => 'width: {{SIZE}}{{UNIT}};',
          ],
        ]
      );	
    // Images overly Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'img_overly_background',
        'label' => esc_html__(' Images overly background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => ' {{WRAPPER}} .project_slider_img:before',
      ]
    );
    $this->end_controls_section();

	 /**============ * Arrow Style Section  =========== */
    $this->start_controls_section(
      'Arrow_style',
      [
        'label' => 'Arrow Options',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
		'condition' => [
			'arrows' => 'true',
		],	
      ]
    );
    $this->start_controls_tabs(
      'slider_arrow_style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'project_arrow_tab',
      [
        'label' => esc_html__('Normal', 'mediquet'),
      ]
    );

    // Color
    $this->add_control(
      'project_arrow_color',
      [
        'label' => esc_html__('Arrow Color', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slick-prev:before, {{WRAPPER}} .slick-next:before' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'project_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next',
      ]
    );
	
	// Arrow Width
		$this->add_responsive_control(
		  'project_arrow_font_size',
		  [
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => esc_html__('font size', 'mediquet'),
			'size_units' => ['px'],
			'range' => [
			  'px' => [
				'min' => 0,
				'max' => 500,
			  ],
			  '%' => [
				'min' => 0,
				'max' => 100
			  ]
			],
			'selectors' => [
			  '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'font-size: {{SIZE}}{{UNIT}};',
			],
		  ]
		);
	
	// Arrow Width
    $this->add_responsive_control(
      'project_arrow_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// Arrow height
    $this->add_responsive_control(
      'project_arrow_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// Arrow height
    $this->add_responsive_control(
      'project_arrow_line-height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'mediquet'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	
	/* arrow Opacity */
		$this->add_responsive_control(
			'project_arrow_opacity',
			[
				'label' => esc_html__( 'Arrow Opacity', 'mediquet' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'selectors' => [
					'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'opacity: {{SIZE}}{{UNIT}};',
				],
			]
		);	
	
		/* witr_border_style */
			$this->add_control(
				'project_arrow_border',
				[
					'label' => esc_html__( 'Border Style', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'options' => [
						'none' => esc_html__( 'none', 'mediquet' ),
						'solid' => esc_html__( 'Solid', 'mediquet' ),
						'double' => esc_html__( 'Double', 'mediquet' ),
						'dotted' => esc_html__( 'Dotted', 'mediquet' ),
						'dashed' => esc_html__( 'Dashed', 'mediquet' ),
						'default' => esc_html__( 'Default', 'mediquet' ),
					],
					'default' => 'none',
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-style: {{VALUE}}',
					],
				]
			);		
			/* witr border */
			$this->add_control(
				'project_arrow_btn_style',
				[
					'label' => esc_html__( 'Width', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed'],
					],								
				]
			);
			/* border_color */
			$this->add_control(
				'project_border1_btn_color',
				[
					'label' => esc_html__( 'Border Color', 'mediquet' ),
					'type' =>  \Elementor\Controls_Manager::COLOR,
					
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-color: {{VALUE}}',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);
			/* border_radius */
			$this->add_control(
				'project_arrow_radius',
				[
					'label' => esc_html__( 'Border Radius', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px', '%' ],
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev, {{WRAPPER}} .slick-slider .slick-next' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);

			/* witr_icon_top */
			$this->add_responsive_control(
				'project_arrow_top',
				[
					'label' => esc_html__( 'Arrow Top', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-next , {{WRAPPER}} .slick-slider .slick-prev' => 'top: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// Left
			$this->add_responsive_control(
				'project_arrow_Left',
				[
					'label' => esc_html__( 'Arrow Left', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-prev' => 'left: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// right
			$this->add_responsive_control(
				'project_arrow_right',
				[
					'label' => esc_html__( 'Arrow right', 'mediquet' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slick-slider .slick-next ' => 'right: {{SIZE}}{{UNIT}};',
					],
				]
			);
		
	
    $this->end_controls_tab();

	
	
    // Hover Tab
    $this->start_controls_tab(
      'project_style_hover_tab',
      [
        'label' => esc_html__('Hover', 'mediquet'),
      ]
    );

	
    // Color
    $this->add_control(
      'project_arrow_color_hover',
      [
        'label' => esc_html__('Arrow Color Hover', 'mediquet'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover' => 'color: {{VALUE}}',
        ],
      ]
    );
   

  // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'project_arrow_hover_background',
        'label' => esc_html__('Background', 'mediquet'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover',
      ]
    );
	
	/* border_color */
	$this->add_control(
		'project_border1_arr_color',
		[
			'label' => esc_html__( 'Border Color', 'mediquet' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .slick-slider .slick-next:hover, {{WRAPPER}} .slick-slider .slick-prev:hover' => 'border-color: {{VALUE}}',
			],							
		]
	);
	
    $this->end_controls_tab();

    $this->end_controls_tabs();

	
    $this->end_controls_section();
	
  }


  /*=========== protected render start ============*/

  protected function render() {
    $settings = $this->get_settings_for_display();
    ?>
    <?php
      if (!empty($settings['button_link']['url'])) {
        $this->add_link_attributes('button_link', $settings['button_link']);
      }
      $this->add_render_attribute(
			'project_opt',
			[
				'id' => 'project_opt-'. $this->get_id(),
				'data-arrow' => $settings['arrows'],
				'data-dot' => $settings['dot'],
				'data-slide_to_show' => $settings['slide_to_show'],
				'data-slide_to_scroll' => $settings['slide_to_scroll'],
				'data-autoplay_speed'		=> $settings['autoplay_speed'],
        'data-slide_reass_show'		=> $settings['slide_reass_show'],
        'data-slide_reas_show'		=> $settings['slide_reas_show'],
        'data-slide_rea_show'		=> $settings['slide_rea_show'],
        'data-slider_centermode'		=> $settings['slider_centermode'], 
        'data-slider_unicid'		=> $settings['slider_unicid'],
			]
      
		); ?>

		<div class="slick_active" <?php echo $this->get_render_attribute_string('project_opt'); ?> >
    <?php foreach ($settings['list'] as $slide) : ?>
      <!--======== project Style 01 ========-->
      <?php if ($settings['project_style'] == '1') : ?>
        <div class="col-lg-12">
          <div class="txt_project_slider">
              <div class="project_slider_img">
                 <img src="<?= $slide['project_images']['url'] ?>" alt="">
              </div>
              <div class=" txt_project_content">
                <p><?= $slide['project_content'] ?></p>
                <div class=" txt_project_title">
                  <h2><?= $slide['top_title'] ?></h2>
                </div>
            </div>
          </div>
        </div>
        <!--======== project Style 02 ========-->
      <?php elseif ($settings['project_style'] == '2') : ?>
        <div class="col-lg-12">
          <div class="txt_project_slider project_style2">
              <div class="project_slider_img">
                 <img src="<?= $slide['project_images']['url'] ?>" alt="">
              </div>
              <div class=" txt_project_content_section">
                <h2><?= $slide['top_title'] ?></h2>
                <p><?= $slide['project_content'] ?></p>
            </div>
          </div>
        </div>
        <!--======== project Style 03 ========-->
        <?php elseif ($settings['project_style'] == '3') : ?>
        <div class="col-lg-12">
          <div class="txt_project_slider project_style3">
              <div class="project_slider_img">
                 <img src="<?= $slide['project_images']['url'] ?>" alt="">
              </div>
              <div class=" txt_project_content">
              <div class=" txt_project_title">
                  <h2><?= $slide['top_title'] ?></h2>
                </div>
                <p><?= $slide['project_content'] ?></p>
            </div>
          </div>
        </div>
    <!--======== project Style 04 ========-->
    <?php elseif ($settings['project_style'] == '4') : ?>
        <div class="col-lg-12">
          <div class="txt_project_slider project_style2 p-style4">
              <div class="project_slider_img">
                 <img src="<?= $slide['project_images']['url'] ?>" alt="">
              </div>
              <div class=" txt_project_content_section">
                <h2><?= $slide['top_title'] ?></h2>
                <p><?= $slide['project_content'] ?></p>
            </div>
          </div>
        </div>
        <?php endif ?>
        <?php endforeach ?>
    </div>
    <?php if (is_admin()) :
      if (!defined('ELEMENTOR_VERSION'))
        return;
    ?>
      <script>
        //$(".project_active").slick();
        $("#slick-<?= $this->get_id() ?>").slick();
      </script>

    <?php endif ?>
<?php
  }
}