<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
}

/**
 * Images Widget
 */

class shape_image_Widget extends \Elementor\Widget_Base


{
  public function get_name()
  {
    return 'shape-mediquet-image';
  }

  public function get_title()
  {
    return esc_html__('mediquet shape Image', 'shape_image_Widget');
  }

  public function get_categories()
  {
    return ['basic'];
  }


  protected function register_controls()
  {
    /**
     * Image Control Section
     */
	
    $this->start_controls_section(
      'content_section',
      [
        'label' => 'Content',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );
	// image Style
	$this->add_control(
		'image_shape_style',
		[
			'label' => esc_html__('image Style', 'mediquet'),
			'type' => \Elementor\Controls_Manager::SELECT,
			'default' => '1',
			'options' => [
			'1'  => esc_html__('image style 01', 'mediquet'),
			'2' => esc_html__('image border preloader', 'mediquet'),
			'3' => esc_html__('image Rotate', 'mediquet'),
			'4' => esc_html__('Border  circle', 'mediquet'),
			],
		]
		);
	 $this->add_responsive_control(
		'img_aligg',
		[
			'label' => esc_html__( 'Alignment', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::CHOOSE,
			'options' => [
				'left' => [
					'title' => esc_html__( 'Left', 'mediquet' ),
					'icon' => 'eicon-text-align-left',
				],
				'center' => [
					'title' => esc_html__( 'Center', 'mediquet' ),
					'icon' => 'eicon-text-align-center',
				],
				'right' => [
					'title' => esc_html__( 'Right', 'mediquet' ),
					'icon' => 'eicon-text-align-right',
				],
				'justify' => [
					'title' => esc_html__( 'Justified', 'mediquet' ),
					'icon' => 'eicon-text-align-justify',
				],
			],
			'selectors' => [
				'{{WRAPPER}} .t1_about_thumb img, {{WRAPPER}} .t1_about_thumb' => 'text-align: {{VALUE}};',
			],
		]
	);
	
    // Url
    $this->add_control(
      'image',
      [
        'label' => 'Choose Image',
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
          'url' => plugin_dir_url(__DIR__) . 'assets/images/placeholder.png',
        ]
      ]
    );

    $this->end_controls_section();

    /**
     * Image Style
     */
    $this->start_controls_section(
      'image_style',
      [
        'label' => 'Image Style',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // images Width
    $this->add_responsive_control(
		'image_width',
		[
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => esc_html__( 'Width', 'mediquet' ),
			'size_units' => [ 'px', 'em', '%' ],
			'range' => [
				'px' => [
					'min' => 0,
					'max' => 1000,
				]
			],
			'devices' => [ 'desktop', 'tablet', 'mobile' ],
			'selectors' => [
				'{{WRAPPER}} .emediquet_image, {{WRAPPER}} .border_shape' => 'width: {{SIZE}}{{UNIT}};',
			],
		]
	);

    // images Height
    $this->add_responsive_control(
		'image_height',
		[
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => esc_html__( 'Height', 'mediquet' ),
			'size_units' => [ 'px', 'em', '%' ],
			'range' => [
				'px' => [
					'min' => 0,
					'max' => 1000,
				]
			],
			'devices' => [ 'desktop', 'tablet', 'mobile' ],
			'selectors' => [
				'{{WRAPPER}} .emediquet_image, {{WRAPPER}} .border_shape' => 'height: {{SIZE}}{{UNIT}};',
			],
		]
	);

	// images max width	
	$this->add_responsive_control(
		'space',
		[
			'label' => esc_html__( 'Max Width', 'mediquet' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'default' => [
				'unit' => '%',
			],
			'tablet_default' => [
				'unit' => '%',
			],
			'mobile_default' => [
				'unit' => '%',
			],
			'size_units' => [ '%', 'px', 'vw' ],
			'range' => [
				'%' => [
					'min' => 1,
					'max' => 100,
				],
				'px' => [
					'min' => 1,
					'max' => 1000,
				],
				'vw' => [
					'min' => 1,
					'max' => 100,
				],
			],
			'selectors' => [
				'{{WRAPPER}} .emediquet_image, {{WRAPPER}} .border_shape' => 'max-width: {{SIZE}}{{UNIT}};',
			],
		]
	);
		
	// images Top
	$this->add_responsive_control(
		'img_Top',
		[
			'label' => esc_html__( 'Image Top', 'elementor' ),
			'type' => \Elementor\Controls_Manager::SLIDER,
			'size_units' => [ 'px', '%' ],
			'range' => [
				'px' => [
					'min' => -1000,
					'max' => 5000,
				],
				'%' => [
					'min' => -1000,
					'max' => 100,
				],		
			],						
			'selectors' => [
				'{{WRAPPER}} .emediquet_image, {{WRAPPER}} .shape_img img,
				 {{WRAPPER}} .border-shape-preloader, {{WRAPPER}} .border_shape' => 'top: {{SIZE}}{{UNIT}};',
			],
		]
	);	
	// images Left
	$this->add_responsive_control(
		'img_Left',
			[
				'label' => esc_html__( 'Image Left', 'elementor' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px', '%' ],
				'range' => [
					'px' => [
						'min' => -1000,
						'max' => 5000,
					],
					'%' => [
						'min' => -1000,
						'max' => 100,
					],		
				],						
				'selectors' => [
					'{{WRAPPER}} .emediquet_image, {{WRAPPER}} .border-shape-preloader, 
					{{WRAPPER}} .shape_img img, {{WRAPPER}} .border_shape' => 'left: {{SIZE}}{{UNIT}};',
				],
			]
		);
		// images Left
		$this->add_responsive_control(
			'img_right',
				[
					'label' => esc_html__( 'Image Right', 'elementor' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -1000,
							'max' => 5000,
						],
						'%' => [
							'min' => -100,
							'max' => 5000,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .emediquet_image, {{WRAPPER}} .border-shape-preloader, 
						{{WRAPPER}} .shape_img img, {{WRAPPER}} .border_shape' => 'right: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// images Bottom
			$this->add_responsive_control(
				'img_Bottom',
				[
					'label' => esc_html__( 'Image Bottom', 'elementor' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -1000,
							'max' => 5000,
						],
						'%' => [
							'min' => -1000,
							'max' => 5000,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .emediquet_image, {{WRAPPER}} .border-shape-preloader,
						 {{WRAPPER}} .shape_img img, {{WRAPPER}} .border_shape' => 'bottom: {{SIZE}}{{UNIT}};',
					],
				]
			);		

			// images margin	
			$this->add_responsive_control(
			'shape_margin',
			[
				'label' => 'Margin',
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
				'size_units' => ['px', 'em', '%'],
				'selectors' => [
				'{{WRAPPER}} .t1_about_thumb.shape_img img , {{WRAPPER}} .border_shape' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
				'separator' => 'before',
			]
			);	
		
		
		
   	 $this->end_controls_section();

 /**
     * Image Style
     */
    $this->start_controls_section(
		'border_shape_style',
		[
		  'label' => 'Border Shape Style',
		  'tab' => \Elementor\Controls_Manager::TAB_STYLE
		]
	  );
	// Image border Background  
	$this->add_group_control(
		\Elementor\Group_Control_Background::get_type(),
		[
			'name' => 'border_background',
			'label' => esc_html__('Background', 'mediquet'),
			'types' => ['classic', 'gradient'],
			'selector' => '{{WRAPPER}} .shape-preloader, {{WRAPPER}} .border_circle_shape',
		]
		); 
		  /* witr_border_style */
		  $this->add_control(
			'shape_border',
			[
			  'label' => esc_html__( 'Border Style', 'mediquet' ),
			  'type' => \Elementor\Controls_Manager::SELECT,
			  'options' => [
				'none' => esc_html__( 'none', 'mediquet' ),
				'solid' => esc_html__( 'Solid', 'mediquet' ),
				'double' => esc_html__( 'Double', 'mediquet' ),
				'dotted' => esc_html__( 'Dotted', 'mediquet' ),
				'dashed' => esc_html__( 'Dashed', 'mediquet' ),
				'default' => esc_html__( 'Default', 'mediquet' ),
			  ],
			  'default' => 'none',
			  'selectors' => [
				'{{WRAPPER}} .service_text_item i, {{WRAPPER}} .icon_ar,{{WRAPPER}} .ab_ser_ar i,
				{{WRAPPER}} .ab_ser_img img, {{WRAPPER}} .tb_icon, {{WRAPPER}} .border_circle_shape' => 'border-style: {{VALUE}}',
			  ],
			]
		  );		
		  /* witr border */
		  $this->add_control(
			'wt_border_shape_style',
			[
			  'label' => esc_html__( 'Width', 'mediquet' ),
			  'type' => \Elementor\Controls_Manager::DIMENSIONS,
			  'selectors' => [
				'{{WRAPPER}} .shape-preloader, {{WRAPPER}} .border_circle_shape' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			  ],
			  'condition' => [
				'shape_border' => ['solid','double','dotted','dashed'],
			  ],								
			]
		  );
		  /* border_color */
		  $this->add_control(
			'border_shape_color',
			[
			  'label' => esc_html__( 'Border Color', 'mediquet' ),
			  'type' =>  \Elementor\Controls_Manager::COLOR,
			  
			  'selectors' => [
				'{{WRAPPER}} .shape-preloader, {{WRAPPER}} .border_circle_shape' => 'border-color: {{VALUE}}',
			  ],
			  'condition' => [
				'shape_border' => ['solid','double','dotted','dashed','default'],
			  ],								
			]
		  );
		  /* border_radius */
		  $this->add_control(
			'shape_border_radius',
			[
			  'label' => esc_html__( 'Border Radius', 'mediquet' ),
			  'type' => \Elementor\Controls_Manager::DIMENSIONS,
			  'size_units' => [ 'px', '%' ],
			  'selectors' => [
				'{{WRAPPER}} .shape-preloader, {{WRAPPER}} .border_circle_shape' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
			  ],							
			]
		  );
	  // images Width
	  $this->add_responsive_control(
		  'border_width',
		  [
			  'type' => \Elementor\Controls_Manager::SLIDER,
			  'label' => esc_html__( 'Width', 'mediquet' ),
			  'size_units' => [ 'px', 'em', '%' ],
			  'range' => [
				  'px' => [
					  'min' => 0,
					  'max' => 1000,
				  ]
			  ],
			  'devices' => [ 'desktop', 'tablet', 'mobile' ],
			  'selectors' => [
				  '{{WRAPPER}} .shape-preloader, {{WRAPPER}} .border_circle_shape' => 'width: {{SIZE}}{{UNIT}};',
			  ],
		  ]
	  );
  
	  // images Height
	  $this->add_responsive_control(
		  'border_height',
		  [
			  'type' => \Elementor\Controls_Manager::SLIDER,
			  'label' => esc_html__( 'Height', 'mediquet' ),
			  'size_units' => [ 'px', 'em', '%' ],
			  'range' => [
				  'px' => [
					  'min' => 0,
					  'max' => 1000,
				  ]
			  ],
			  'devices' => [ 'desktop', 'tablet', 'mobile' ],
			  'selectors' => [
				  '{{WRAPPER}} .shape-preloader, {{WRAPPER}} .border_circle_shape' => 'height: {{SIZE}}{{UNIT}};',
			  ],
		  ]
	  );

	  $this->end_controls_section();


 	 }

		protected function render()
		{
			$settings = $this->get_settings_for_display();

			?>
			<?php if ($settings['image_shape_style'] === '1') : ?>
				<div class="t1_about_thumb shape_img animation_ds">
					<img class="emediquet_image" src="<?= esc_url($settings['image']['url']) ?>" alt="">
				</div>
				<?php elseif ($settings['image_shape_style'] === '2') : ?>
				<div class="border-shape-preloader">
				<div class="shape-preloader"></div>
				</div>
				<?php elseif ($settings['image_shape_style'] === '3') : ?>
					<div class="t1_about_thumb shape_img shape-rotate">
					<img class="emediquet_image" src="<?= esc_url($settings['image']['url']) ?>" alt="">
				</div>
				<?php elseif ($settings['image_shape_style'] === '4') : ?>
					<div class="border_shape">
					<div class="border_circle_shape"></div>
					</div>
				<?php endif ?>
			<?php
		}
		}
